#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fpga_image_info_alloc, "_gpl", "");
KSYMTAB_FUNC(fpga_image_info_free, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_load, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(of_fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_put, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_lock, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unlock, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_register, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(devm_fpga_mgr_register, "_gpl", "");

SYMBOL_CRC(fpga_image_info_alloc, 0xe2578254, "_gpl");
SYMBOL_CRC(fpga_image_info_free, 0xe1ef77f4, "_gpl");
SYMBOL_CRC(fpga_mgr_load, 0x0161ce83, "_gpl");
SYMBOL_CRC(fpga_mgr_get, 0x84cf8215, "_gpl");
SYMBOL_CRC(of_fpga_mgr_get, 0xa3257a50, "_gpl");
SYMBOL_CRC(fpga_mgr_put, 0x12ae44a5, "_gpl");
SYMBOL_CRC(fpga_mgr_lock, 0xb511d27e, "_gpl");
SYMBOL_CRC(fpga_mgr_unlock, 0x8e102e03, "_gpl");
SYMBOL_CRC(fpga_mgr_register_full, 0xb8786873, "_gpl");
SYMBOL_CRC(fpga_mgr_register, 0xfa198c42, "_gpl");
SYMBOL_CRC(fpga_mgr_unregister, 0x166cb802, "_gpl");
SYMBOL_CRC(devm_fpga_mgr_register_full, 0x2a346ae2, "_gpl");
SYMBOL_CRC(devm_fpga_mgr_register, 0x51cc9a05, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd163e2c5, "get_device" },
	{ 0xf069d8e, "devm_kmalloc" },
	{ 0xb9a30ead, "put_device" },
	{ 0x9df23ba1, "devm_kfree" },
	{ 0x4ae3548c, "sg_miter_start" },
	{ 0xf44bc4f2, "sg_miter_next" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc9babbb7, "sg_miter_stop" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x37a0cba, "kfree" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xea643def, "device_match_of_node" },
	{ 0x82571d97, "class_find_device" },
	{ 0x398ac18b, "try_module_get" },
	{ 0x644eb7b5, "module_put" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc8b22f8b, "_dev_info" },
	{ 0xd9496ce7, "device_unregister" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc158b664, "class_register" },
	{ 0xb90038aa, "class_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x754d539c, "strlen" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe939fbbd, "dev_set_name" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x57db14f6, "device_register" },
	{ 0x2f67a8c9, "__devres_alloc_node" },
	{ 0x83c9d3d2, "devres_add" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd2794dd9, "sg_miter_skip" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xbde4f27, "vmalloc_to_page" },
	{ 0xc9bf9740, "sg_alloc_table_from_pages_segment" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe8647e70, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "481CCC9DE1DE3E6F9507C31");
