#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xedc03953, "iounmap" },
	{ 0x7ee2b1ea, "pci_unregister_driver" },
	{ 0x754d539c, "strlen" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x918cfb36, "platform_device_register_full" },
	{ 0x65762608, "p2sb_bar" },
	{ 0x827e61f8, "acpi_has_watchdog" },
	{ 0x97ed853f, "pci_read_config_dword" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd16b3984, "pv_ops" },
	{ 0x64fc3392, "pci_write_config_byte" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d9915e6, "platform_device_unregister" },
	{ 0xff81487d, "gpiod_remove_lookup_table" },
	{ 0x54448185, "i2c_del_adapter" },
	{ 0x604f051d, "is_acpi_device_node" },
	{ 0x92e26bf, "acpi_remove_address_space_handler" },
	{ 0xf069d8e, "devm_kmalloc" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x1b9a8fbe, "set_primary_fwnode" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xca7cff09, "_dev_notice" },
	{ 0x9b985cfe, "pcim_enable_device" },
	{ 0x23a2d0fb, "pcim_pin_device" },
	{ 0xdbcf041a, "acpi_install_address_space_handler" },
	{ 0x4aeb9eaf, "pcim_iomap_regions" },
	{ 0x534772ec, "pci_read_config_byte" },
	{ 0xe621f81c, "pci_read_config_word" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x34bc2772, "devm_request_threaded_irq" },
	{ 0xeab6f4c4, "acpi_check_resource_conflict" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0xc8b22f8b, "_dev_info" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf2108b44, "i2c_add_adapter" },
	{ 0x78ddb76b, "dmi_match" },
	{ 0xeb7f6046, "acpi_get_devices" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0x4d3fad7, "pm_runtime_set_autosuspend_delay" },
	{ 0xb5d6e15a, "__pm_runtime_use_autosuspend" },
	{ 0xcacd0441, "__pm_runtime_suspend" },
	{ 0x371b3ec0, "pm_runtime_allow" },
	{ 0x80061e83, "__dynamic_dev_dbg" },
	{ 0x369c2344, "i2c_register_spd" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xe6fd7b85, "i2c_handle_smbus_host_notify" },
	{ 0x9f28a3d8, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb654ef65, "acpi_os_read_port" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbe49252c, "acpi_os_write_port" },
	{ 0x7981f428, "_dev_warn" },
	{ 0x1d3b8f37, "__pm_runtime_resume" },
	{ 0x72f14ff7, "acpi_get_object_info" },
	{ 0x81188c30, "match_string" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf9f7a041, "i2c_new_client_device" },
	{ 0xe13cd8a7, "dmi_name_in_vendors" },
	{ 0x675ff4df, "__pci_register_driver" },
	{ 0xde80cd09, "ioremap" },
	{ 0x2a303d4d, "check_signature" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "i2c-smbus");

MODULE_ALIAS("pci:v00008086d00002413sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002423sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002443sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002483sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000025A4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000266Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000027DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000269Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000283Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002930sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003A30sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003A60sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003B30sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001C22sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001D22sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001D70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001D71sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001D72sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002330sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001E22sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008C22sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009C22sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001F3Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008D22sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008D7Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008D7Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008D7Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000023B0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000031D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008CA2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009CA2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F12sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002292sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A123sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D23sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000018DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000019DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001BC9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005AD4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A1A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A223sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A2A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A323sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DA3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000034A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000038A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A3A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B23sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A0A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000043A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004DA3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007AA3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000054A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007A23sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007E22sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000AE22sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007F23sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005796sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0958DDD57BFBC98E8309A9B");
