#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x8694a9e6, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x38957027, "_gpl");
SYMBOL_CRC(media_device_init, 0xef2f6468, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x16c69088, "_gpl");
SYMBOL_CRC(__media_device_register, 0x8d91acd7, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0xbb03defd, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0xa708e5b8, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x1d21e9b1, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x32f4e8b4, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x49ba6ddb, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x4cc3c20e, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0xc500c614, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x1781f258, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0xd34f292d, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x5c4bc150, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x5184a80f, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x64c79dc6, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0xc8a70bac, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0xfe087cc3, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0xc6e95832, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x05a4718b, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0x9806c96f, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x7ba38d4a, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x26b1acbc, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0xd845b360, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x1a677858, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x8446c1d3, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0xf7f64f1c, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x46b9dc0a, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x4b9a1181, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0xd42aa704, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x3d782255, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0x100528fb, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x743474fd, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x5a616a68, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0xf4b4e6b9, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0xfdd0e43c, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0x2c878e3f, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x38bd6d90, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x280b8d23, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xa62b824d, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0x6b267630, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x05df93fd, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0xd61f47bc, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x227abd7e, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x5c2e8cc8, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0xd807b449, "_gpl");
SYMBOL_CRC(media_request_put, 0x4cb4a412, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0xa04034c1, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x337d3f24, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x2ffcfe86, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x45f73444, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x458e08a3, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x77bbddf9, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x1cd591e7, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x463ece39, "_gpl");
SYMBOL_CRC(media_device_delete, 0x6234c110, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x80061e83, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x95d07c8f, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb9a30ead, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x55b05e3f, "fwnode_graph_parse_endpoint" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x644eb7b5, "module_put" },
	{ 0x4120b9a5, "device_create_file" },
	{ 0xef9058d2, "bus_unregister" },
	{ 0x6dc80b8b, "fput" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x7981f428, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x5f720d08, "platform_bus_type" },
	{ 0x934ad7c7, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc43a04e6, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1ab4b74e, "pci_bus_type" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0x1a9a199e, "device_remove_file" },
	{ 0xb6685166, "bus_register" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x398ac18b, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x1b24626e, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe939fbbd, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x83eb86a8, "cdev_device_del" },
	{ 0xe4583851, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xa77cd5d2, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd163e2c5, "get_device" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0945AE9370BBEC2034E6C65");
