#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nanddev_isbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_markbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_isreserved, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_erase, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_max_bad_blocks, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_update, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_get_block_status, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_set_block_status, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_prepare_io_req, "", "");
KSYMTAB_FUNC(nand_ecc_finish_io_req, "", "");
KSYMTAB_FUNC(nand_get_small_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_hamming_ooblayout, "_gpl", "");
KSYMTAB_FUNC(of_get_nand_ecc_user_config, "", "");
KSYMTAB_FUNC(nand_ecc_is_strong_enough, "", "");
KSYMTAB_FUNC(nand_ecc_init_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_cleanup_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_tweak_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_restore_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_get_sw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_die_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_register_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_unregister_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_put_on_host_hw_engine, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_get_engine, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_get_engine, "", "");

SYMBOL_CRC(nanddev_isbad, 0xfc822c0f, "_gpl");
SYMBOL_CRC(nanddev_markbad, 0x1a4201ed, "_gpl");
SYMBOL_CRC(nanddev_isreserved, 0x90380ff5, "_gpl");
SYMBOL_CRC(nanddev_mtd_erase, 0x2dbeb691, "_gpl");
SYMBOL_CRC(nanddev_mtd_max_bad_blocks, 0xbb841286, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_init, 0x421386bb, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_cleanup, 0xfb5b3f5a, "_gpl");
SYMBOL_CRC(nanddev_init, 0x87fee67c, "_gpl");
SYMBOL_CRC(nanddev_cleanup, 0x0108ec82, "_gpl");
SYMBOL_CRC(nanddev_bbt_init, 0xc9a54d34, "_gpl");
SYMBOL_CRC(nanddev_bbt_cleanup, 0xc836089d, "_gpl");
SYMBOL_CRC(nanddev_bbt_update, 0xeb612733, "_gpl");
SYMBOL_CRC(nanddev_bbt_get_block_status, 0x6d4b24cc, "_gpl");
SYMBOL_CRC(nanddev_bbt_set_block_status, 0x3ca0f5a1, "_gpl");
SYMBOL_CRC(nand_ecc_init_ctx, 0x51f3d218, "");
SYMBOL_CRC(nand_ecc_cleanup_ctx, 0x509af159, "");
SYMBOL_CRC(nand_ecc_prepare_io_req, 0x56660435, "");
SYMBOL_CRC(nand_ecc_finish_io_req, 0xbcdc98af, "");
SYMBOL_CRC(nand_get_small_page_ooblayout, 0xb4c9ce2d, "_gpl");
SYMBOL_CRC(nand_get_large_page_ooblayout, 0x6a6044f0, "_gpl");
SYMBOL_CRC(nand_get_large_page_hamming_ooblayout, 0x8c546b4f, "_gpl");
SYMBOL_CRC(of_get_nand_ecc_user_config, 0xe9c77f9a, "");
SYMBOL_CRC(nand_ecc_is_strong_enough, 0xe0cd8e4b, "");
SYMBOL_CRC(nand_ecc_init_req_tweaking, 0x610869f5, "_gpl");
SYMBOL_CRC(nand_ecc_cleanup_req_tweaking, 0x26aea052, "_gpl");
SYMBOL_CRC(nand_ecc_tweak_req, 0x16447d54, "_gpl");
SYMBOL_CRC(nand_ecc_restore_req, 0x596b4dd7, "_gpl");
SYMBOL_CRC(nand_ecc_get_sw_engine, 0xa00cd687, "");
SYMBOL_CRC(nand_ecc_get_on_die_hw_engine, 0x8fbb0bce, "");
SYMBOL_CRC(nand_ecc_register_on_host_hw_engine, 0x29ee5256, "");
SYMBOL_CRC(nand_ecc_unregister_on_host_hw_engine, 0x5dca564b, "");
SYMBOL_CRC(nand_ecc_get_on_host_hw_engine, 0xb5ec7a00, "");
SYMBOL_CRC(nand_ecc_put_on_host_hw_engine, 0x3c911f7b, "");
SYMBOL_CRC(ecc_sw_hamming_calculate, 0xff4351b0, "");
SYMBOL_CRC(nand_ecc_sw_hamming_calculate, 0x6d8d184b, "");
SYMBOL_CRC(ecc_sw_hamming_correct, 0xe6db989b, "");
SYMBOL_CRC(nand_ecc_sw_hamming_correct, 0x9bed18ec, "");
SYMBOL_CRC(nand_ecc_sw_hamming_init_ctx, 0x82652017, "");
SYMBOL_CRC(nand_ecc_sw_hamming_cleanup_ctx, 0x52b5bdc9, "");
SYMBOL_CRC(nand_ecc_sw_hamming_get_engine, 0x9385f7ad, "");
SYMBOL_CRC(nand_ecc_sw_bch_calculate, 0xe79541d9, "");
SYMBOL_CRC(nand_ecc_sw_bch_correct, 0x037a2837, "");
SYMBOL_CRC(nand_ecc_sw_bch_init_ctx, 0xb9ce478c, "");
SYMBOL_CRC(nand_ecc_sw_bch_cleanup_ctx, 0x1bd865ad, "");
SYMBOL_CRC(nand_ecc_sw_bch_get_engine, 0x5d3b7d91, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3420262, "mtd_ooblayout_set_eccbytes" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb9a30ead, "put_device" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd3e3481, "bch_free" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xca590bba, "mtd_ooblayout_count_eccbytes" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x860a2eab, "bch_decode" },
	{ 0x1a267fa8, "bch_init" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0x6df0710, "mtd_ooblayout_get_eccbytes" },
	{ 0xc303f52, "bch_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "mtd,bch");


MODULE_INFO(srcversion, "C8CC18D47CCA8CBC7F50A06");
