#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0x96200f5a, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0x3b527d25, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0xbbc63fa3, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0x079c83a4, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0xf8e7dd4e, "_gpl");
SYMBOL_CRC(m_can_class_register, 0x6cc78770, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0x1b8fc63d, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0x9cef2f77, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0x0e44d538, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbb989aad, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0x513125eb, "can_get_echo_skb" },
	{ 0x81741b23, "can_free_echo_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xffb60d46, "netdev_warn" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0xa0b89baf, "unregister_candev" },
	{ 0xdcf8bd1e, "can_rx_offload_del" },
	{ 0xc18d05e9, "devm_clk_get" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3c5d543a, "hrtimer_start_range_ns" },
	{ 0xb40c9087, "netif_tx_wake_queue" },
	{ 0x1d3b8f37, "__pm_runtime_resume" },
	{ 0x6d323fd7, "phy_power_on" },
	{ 0xbb1eadcf, "open_candev" },
	{ 0xc75cf6cb, "phy_power_off" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4ce8f3c5, "netdev_err" },
	{ 0x35bf9d19, "close_candev" },
	{ 0xea6f9f10, "__pm_runtime_idle" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x857b6e91, "napi_disable" },
	{ 0x3c983de9, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x838d587a, "napi_enable" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x1e660e3c, "can_put_echo_skb" },
	{ 0x78162201, "kfree_skb_reason" },
	{ 0x72265342, "can_dropped_invalid_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcbe7d17e, "netdev_printk" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x157da49b, "pinctrl_pm_select_sleep_state" },
	{ 0x9a919309, "netif_device_detach" },
	{ 0xfa8a58e2, "pinctrl_pm_select_default_state" },
	{ 0x581d0faa, "netif_device_attach" },
	{ 0x860b360f, "register_candev" },
	{ 0xc8b22f8b, "_dev_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2820bb11, "can_rx_offload_add_manual" },
	{ 0x9aa2a8b, "netif_napi_add_weight" },
	{ 0xd405db53, "can_bus_off" },
	{ 0xf2b25d4d, "alloc_can_err_skb" },
	{ 0x4705c82d, "netif_receive_skb" },
	{ 0x3ebf839f, "can_rx_offload_queue_timestamp" },
	{ 0x3e2d62fa, "__dynamic_netdev_dbg" },
	{ 0xd1445f88, "alloc_canfd_skb" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x64c91c27, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x93f91729, "napi_schedule_prep" },
	{ 0x78e25536, "__napi_schedule" },
	{ 0x2abf8d09, "can_rx_offload_threaded_irq_finish" },
	{ 0x828e22f4, "hrtimer_forward" },
	{ 0xb21ac22b, "napi_complete_done" },
	{ 0xe33c768e, "ethtool_op_get_ts_info" },
	{ 0xfb9de49e, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0xdd450547, "__dev_fwnode" },
	{ 0x934c7663, "fwnode_property_read_u32_array" },
	{ 0xa23d052b, "alloc_candev_mqs" },
	{ 0x80061e83, "__dynamic_dev_dbg" },
	{ 0x472879df, "free_candev" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "F083E3FF64D9C9F2FD29780");
