#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ks8851_suspend, "_gpl", "");
KSYMTAB_FUNC(ks8851_resume, "_gpl", "");
KSYMTAB_FUNC(ks8851_probe_common, "_gpl", "");
KSYMTAB_FUNC(ks8851_remove_common, "_gpl", "");

SYMBOL_CRC(ks8851_suspend, 0x1ebe974d, "_gpl");
SYMBOL_CRC(ks8851_resume, 0x081e60ae, "_gpl");
SYMBOL_CRC(ks8851_probe_common, 0x38b2daa3, "_gpl");
SYMBOL_CRC(ks8851_remove_common, 0xbd99c6c8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc4f90d0d, "mii_ethtool_set_link_ksettings" },
	{ 0xa7d527d8, "mii_ethtool_get_link_ksettings" },
	{ 0x63d2ff63, "eeprom_93cx6_wren" },
	{ 0x884deb9d, "eeprom_93cx6_read" },
	{ 0x870b53e9, "eeprom_93cx6_write" },
	{ 0x5a3616a7, "mii_link_ok" },
	{ 0x43674816, "mii_nway_restart" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x811a691f, "devm_gpiod_get_optional" },
	{ 0xf01819d4, "gpiod_set_consumer_name" },
	{ 0xb3358919, "devm_regulator_get" },
	{ 0x4feca812, "regulator_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x162b45d7, "gpiod_set_value_cansleep" },
	{ 0xc8b22f8b, "_dev_info" },
	{ 0x618899eb, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa4c9d9a6, "__mdiobus_register" },
	{ 0x3b9cd10f, "netif_carrier_off" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa7a23a12, "register_netdev" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0x9d995a5e, "mdiobus_unregister" },
	{ 0x66c7f4eb, "mdiobus_free" },
	{ 0x9a680e46, "regulator_disable" },
	{ 0xffb60d46, "netdev_warn" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x530860b4, "unregister_netdev" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x581d0faa, "netif_device_attach" },
	{ 0xbe4fb66e, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3e2d62fa, "__dynamic_netdev_dbg" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6648820b, "skb_dequeue" },
	{ 0x23ba5d22, "consume_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f4e52a1, "netdev_info" },
	{ 0x9a919309, "netif_device_detach" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa042ec7a, "__netdev_alloc_skb" },
	{ 0xfd49b880, "skb_put" },
	{ 0x8697ad5f, "eth_type_trans" },
	{ 0xef03a900, "mii_check_link" },
	{ 0xb40c9087, "netif_tx_wake_queue" },
	{ 0x4ce8f3c5, "netdev_err" },
	{ 0x1bfd1760, "generic_mii_ioctl" },
	{ 0xb3810024, "dev_addr_mod" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "mii,eeprom_93cx6,libphy");


MODULE_INFO(srcversion, "56C1CCD236CD0D76A9E69E5");
