#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x30453af, "usbnet_update_max_qlen" },
	{ 0xa282779a, "usbnet_suspend" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2dff2f4e, "eth_platform_get_mac_address" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x43674816, "mii_nway_restart" },
	{ 0x42ac79fc, "usbnet_get_endpoints" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0xa3cbdbaa, "netif_set_tso_max_size" },
	{ 0x1b0b2de, "usbnet_resume" },
	{ 0xfd99bd5a, "mii_ethtool_gset" },
	{ 0xce2edf27, "netif_carrier_on" },
	{ 0xc26b1d1b, "usbnet_probe" },
	{ 0xad163e5b, "usbnet_open" },
	{ 0x6c43b9d0, "usbnet_stop" },
	{ 0x6b39eac, "usbnet_start_xmit" },
	{ 0xbe4fb66e, "eth_validate_addr" },
	{ 0xe56798ae, "usbnet_tx_timeout" },
	{ 0xd9ba3620, "dev_get_tstats64" },
	{ 0x22aca0bd, "usbnet_get_msglevel" },
	{ 0xd1b65c4d, "usbnet_set_msglevel" },
	{ 0xb2567c96, "usbnet_nway_reset" },
	{ 0xbb3da89f, "ethtool_op_get_link" },
	{ 0xe33c768e, "ethtool_op_get_ts_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe91f09ea, "pskb_expand_head" },
	{ 0x48903983, "skb_push" },
	{ 0xf976da7b, "__pskb_pull_tail" },
	{ 0x92eecede, "dev_kfree_skb_any_reason" },
	{ 0x3f90a3d1, "usbnet_read_cmd" },
	{ 0x8d6b1c40, "usbnet_read_cmd_nopm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xffb60d46, "netdev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc4f90d0d, "mii_ethtool_set_link_ksettings" },
	{ 0xa7d527d8, "mii_ethtool_get_link_ksettings" },
	{ 0x1bfd1760, "generic_mii_ioctl" },
	{ 0xbddca1e4, "usb_register_driver" },
	{ 0xc69c47b3, "usbnet_disconnect" },
	{ 0xd9c3ec12, "usb_deregister" },
	{ 0xe84db9c9, "usbnet_link_change" },
	{ 0x2f4e52a1, "netdev_info" },
	{ 0xe42e12e1, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x88e2f24c, "skb_trim" },
	{ 0xd16264fc, "skb_clone" },
	{ 0x43d1bbb1, "skb_pull" },
	{ 0x7b280e39, "usbnet_skb_return" },
	{ 0xaed5ab72, "usbnet_write_cmd" },
	{ 0xe1a19eea, "usbnet_write_cmd_nopm" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb3810024, "dev_addr_mod" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4ce8f3c5, "netdev_err" },
	{ 0x3e2d62fa, "__dynamic_netdev_dbg" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "usbnet,mii,usbcore");

MODULE_ALIAS("usb:v0B95p1790d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0B95p178Ad*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04B4p3610d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v2001p4A00d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0DF6p0072d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04E8pA100d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v17EFp304Bd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v050Dp0128d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0930p0A13d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0711p0179d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Ed*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Fd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p0010d*dc*dsc*dp*icFFiscFFip00in*");

MODULE_INFO(srcversion, "440E0EDFA7C6375DD1635F1");
