#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_fwvid_register_vendor, 0x19298d9b, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0xc4a30f7b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7981f428, "_dev_warn" },
	{ 0x8ec5aa0b, "brcmu_pktq_pdeq_match" },
	{ 0x8c8b6642, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x4ba8388b, "sdio_writel" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x4b0d50bf, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe8096649, "mmc_wait_for_req" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf976da7b, "__pskb_pull_tail" },
	{ 0x72e6b4bc, "netif_rx" },
	{ 0xa042ec7a, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xf7ca9c4e, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x88e2f24c, "skb_trim" },
	{ 0x6b7f8bac, "skb_unlink" },
	{ 0xe2fedcf6, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x306accb3, "kthread_create_on_node" },
	{ 0x2b50df45, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1c379448, "pm_runtime_forbid" },
	{ 0x9bc7cbd4, "debugfs_create_file" },
	{ 0xc6d39223, "brcmu_pktq_mdeq" },
	{ 0x18baea66, "cfg80211_unregister_wdev" },
	{ 0xa2688c96, "pci_pme_capable" },
	{ 0x1460a1ef, "brcmu_pktq_penq" },
	{ 0x16e1d176, "dma_free_attrs" },
	{ 0x371b3ec0, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0xffadd11, "__platform_driver_probe" },
	{ 0x7f1f2b38, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6903bb85, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb7cc01f, "brcmu_pktq_pdeq_tail" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5405d89, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xa5ac4de5, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3b9cd10f, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xce2edf27, "netif_carrier_on" },
	{ 0x985697a2, "brcmu_pkt_buf_get_skb" },
	{ 0x3ef94113, "mmc_hw_reset" },
	{ 0x2a4453fd, "sdio_retune_release" },
	{ 0xf2aa053e, "sdio_claim_irq" },
	{ 0x14d4fd0, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa93a6d4f, "pci_disable_device" },
	{ 0xf8b632ae, "pci_match_id" },
	{ 0x6becabe6, "sdio_enable_func" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc50f61dc, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0xe510b4a9, "send_sig" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x67b66786, "cfg80211_inform_bss_data" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0x7c1af2e1, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x92eecede, "dev_kfree_skb_any_reason" },
	{ 0x5b869cd4, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3b4df324, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0x223bab51, "wiphy_free" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x3475c3c2, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x24db5a8f, "pci_write_config_dword" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x211d7fc1, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xba3f7dd5, "sdio_readb" },
	{ 0x5769e5d, "sdio_writeb" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x7c010f73, "brcmu_pktq_mlen" },
	{ 0xec34d105, "cfg80211_sched_scan_results" },
	{ 0x1dcb4c88, "sdio_retune_hold_now" },
	{ 0x45242650, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x65f75c71, "usb_alloc_urb" },
	{ 0x136b3895, "sdio_disable_func" },
	{ 0x263b80c4, "cfg80211_mgmt_tx_status_ext" },
	{ 0x84e942b7, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xd0be7d68, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe0d5a6c, "sdio_set_block_size" },
	{ 0x604f051d, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5929dffd, "usb_free_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf069d8e, "devm_kmalloc" },
	{ 0x17c7a4cd, "pci_enable_device" },
	{ 0xfd49b880, "skb_put" },
	{ 0x46be0a8e, "brcmu_pkt_buf_free_skb" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8a46257, "sdio_retune_crc_disable" },
	{ 0xa3e95e87, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb73caac8, "firmware_request_nowarn" },
	{ 0x107bbaf1, "platform_driver_unregister" },
	{ 0xeeb9435a, "sdio_claim_host" },
	{ 0xf73351e1, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8310e5d3, "sdio_memcpy_fromio" },
	{ 0x23ba5d22, "consume_skb" },
	{ 0x1d85083f, "sdio_register_driver" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x530860b4, "unregister_netdev" },
	{ 0x7810b5bc, "cfg80211_remain_on_channel_expired" },
	{ 0x6648820b, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x49f43b08, "cfg80211_register_netdevice" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xfaa33465, "dma_unmap_page_attrs" },
	{ 0xe8647e70, "request_firmware" },
	{ 0xbddca1e4, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x675ff4df, "__pci_register_driver" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x420dce97, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xeb4cf82f, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xd729851e, "cfg80211_port_authorized" },
	{ 0x6dca813b, "brcmu_pktq_init" },
	{ 0x4f7a4df, "brcmu_pktq_penq_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xbf9717de, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x63ec0a2b, "cfg80211_new_sta" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0x109cdada, "cfg80211_disconnected" },
	{ 0x2079f75, "ether_setup" },
	{ 0x7ee2b1ea, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe91f09ea, "pskb_expand_head" },
	{ 0xc4e2482d, "wake_up_process" },
	{ 0xa7db437, "dev_driver_string" },
	{ 0xb3810024, "dev_addr_mod" },
	{ 0xc786f9c6, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x8697ad5f, "eth_type_trans" },
	{ 0x97ed853f, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x559d750b, "dma_map_page_attrs" },
	{ 0x4dfd5316, "alloc_netdev_mqs" },
	{ 0x8529c9e2, "wiphy_new_nm" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7b108c7e, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3feabaa, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc93a094c, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4d0f8caa, "cfg80211_crit_proto_stopped" },
	{ 0x29a98d31, "wiphy_register" },
	{ 0xbf5fae3b, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x1b102fae, "cfg80211_put_bss" },
	{ 0xc2aa9e40, "cfg80211_roamed" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x222d5ae, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0xc8b22f8b, "_dev_info" },
	{ 0x289280db, "skb_queue_tail" },
	{ 0x9807546d, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x907ead24, "cfg80211_check_combinations" },
	{ 0x64653839, "sdio_set_host_pm_flags" },
	{ 0x7d3b492b, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x3c1344ff, "sdio_unregister_driver" },
	{ 0x59c9544b, "sdio_readsb" },
	{ 0x43593ece, "usb_match_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xec1a0388, "pci_enable_msi" },
	{ 0xfddeb056, "efi" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0x1ab2e087, "device_wakeup_enable" },
	{ 0x562a805d, "cfg80211_ibss_joined" },
	{ 0x5b898f23, "request_firmware_nowait" },
	{ 0x167aa8b5, "simple_open" },
	{ 0x43d1bbb1, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e140e14, "wiphy_apply_custom_regulatory" },
	{ 0x8f38dea9, "cfg80211_michael_mic_failure" },
	{ 0x78162201, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x48903983, "skb_push" },
	{ 0x3c74ef2d, "sdio_retune_crc_enable" },
	{ 0x21ac940d, "brcmu_pktq_flush" },
	{ 0xef5d6bf3, "brcmu_pktq_peek_tail" },
	{ 0xdaffa338, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x6f79960c, "cfg80211_del_sta_sinfo" },
	{ 0x5feafc7a, "sdio_readl" },
	{ 0xe99b6b66, "mmc_set_data_timeout" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xa7a23a12, "register_netdev" },
	{ 0x9166fada, "strncpy" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x3111a935, "wiphy_unregister" },
	{ 0x5956a916, "free_netdev" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xde78802d, "kthread_stop" },
	{ 0x2dff2f4e, "eth_platform_get_mac_address" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9c3ec12, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb40c9087, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "brcmutil,cfg80211,mmc_core,usbcore");

MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");
MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");

MODULE_INFO(srcversion, "1C13940CD0ECF249AA1DFFF");
