#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0x4bb99126, "_gpl");
SYMBOL_CRC(mt76s_rr, 0x5de68105, "_gpl");
SYMBOL_CRC(mt76s_wr, 0x94caaebc, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0x8f6a6d68, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0x3ac7902a, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0xbc13724e, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0xa0ee17e4, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0x948c4dcb, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0xa454c8dc, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0xe38d8ce5, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0xf1d3bfbd, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0x8f131bda, "_gpl");
SYMBOL_CRC(mt76s_init, 0xd02b88c3, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0x81813533, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0xd3922112, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0x58257566, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6a387f00, "skb_add_rx_frag" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb4cf82f, "pcpu_hot" },
	{ 0x8a41f843, "__put_devmap_managed_page_refs" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc6dd0c83, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe91f09ea, "pskb_expand_head" },
	{ 0xfe2dc9f7, "mt76_tx_status_check" },
	{ 0xc4e2482d, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc93a094c, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8c218ebd, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x59c9544b, "sdio_readsb" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5e13d50a, "__SCK__tp_func_dev_irq" },
	{ 0x5feafc7a, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xde78802d, "kthread_stop" },
	{ 0x67faba79, "__alloc_pages" },
	{ 0x4ba8388b, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xda8ab6ee, "mt76_queue_tx_complete" },
	{ 0x306accb3, "kthread_create_on_node" },
	{ 0x617e6444, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8ddd334c, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x38885896, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf2aa053e, "sdio_claim_irq" },
	{ 0x6d5b34ed, "mt76_skb_adjust_pad" },
	{ 0x6becabe6, "sdio_enable_func" },
	{ 0xf489d16a, "sdio_writesb" },
	{ 0x134d67e4, "ieee80211_queue_work" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x45242650, "sdio_release_host" },
	{ 0x136b3895, "sdio_disable_func" },
	{ 0xe0d5a6c, "sdio_set_block_size" },
	{ 0xf069d8e, "devm_kmalloc" },
	{ 0xfd49b880, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xeeb9435a, "sdio_claim_host" },
	{ 0x23ba5d22, "consume_skb" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "mt76,mmc_core,mac80211");


MODULE_INFO(srcversion, "F2C5725C6C557920E4263AB");
