#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc22c7d5, "mt76_release_buffered_frames" },
	{ 0xe8647e70, "request_firmware" },
	{ 0xb886079f, "mt76_get_txpower" },
	{ 0x675ff4df, "__pci_register_driver" },
	{ 0xa8c6c426, "mt76x02_dma_disable" },
	{ 0x13927b3, "mt76_wake_tx_queue" },
	{ 0xec622432, "mt76x02e_init_beacon_config" },
	{ 0x54449476, "mt76_get_antenna" },
	{ 0xeb4cf82f, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe358fe56, "pci_set_power_state" },
	{ 0x7466a7ef, "mt76x02_sta_ps" },
	{ 0xe91876d2, "mt76x02_sta_rate_tbl_update" },
	{ 0x987b3376, "kthread_park" },
	{ 0x80061e83, "__dynamic_dev_dbg" },
	{ 0x61085791, "mt76_dma_cleanup" },
	{ 0x7ee2b1ea, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7996315c, "mt76x02_reconfig_complete" },
	{ 0xcf870d98, "mt76_alloc_device" },
	{ 0xc4e2482d, "wake_up_process" },
	{ 0x42784fb5, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xccdb0f9f, "mt76x02_update_channel" },
	{ 0x78e25536, "__napi_schedule" },
	{ 0xbcbe2aca, "mt76_pci_disable_aspm" },
	{ 0xc8b22f8b, "_dev_info" },
	{ 0x4f3013ab, "mt76x02_configure_filter" },
	{ 0xceeec424, "mt76_free_device" },
	{ 0x5bb0bb84, "mt76x0_chip_onoff" },
	{ 0x62bf5d76, "mt76x02_queue_rx_skb" },
	{ 0x70ca1751, "kthread_unpark" },
	{ 0x4aeb9eaf, "pcim_iomap_regions" },
	{ 0xe9bf5c58, "ieee80211_queue_delayed_work" },
	{ 0x89001025, "mt76x0_config" },
	{ 0x5396e19b, "mt76x0_register_device" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0xd17f9d8e, "mt76x02_rx_poll_complete" },
	{ 0xb16c8e2e, "mt76x0_phy_calibrate" },
	{ 0x53dedbec, "mt76_set_tim" },
	{ 0x30b3ce5, "mt76x02_sw_scan_complete" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0x838d587a, "napi_enable" },
	{ 0x4cdb4a5f, "mt76x02_tx" },
	{ 0x6e3841d6, "mt76_mmio_init" },
	{ 0x56179c5c, "mt76x02_sta_remove" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa85ac422, "mt76x02_sta_add" },
	{ 0x1d62f0a8, "mt76_unregister_device" },
	{ 0xf7c899, "pci_restore_state" },
	{ 0x6369fb95, "mt76x0_mac_stop" },
	{ 0x31868fdc, "mt76_get_survey" },
	{ 0x7981f428, "_dev_warn" },
	{ 0x4b0d50bf, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7eb6df08, "mt76x02_set_rts_threshold" },
	{ 0x49e35232, "mt76x02_tx_complete_skb" },
	{ 0x5bb5312a, "mt76_sta_state" },
	{ 0xd351323a, "mt76x02_mcu_msg_send" },
	{ 0x75ca9b47, "mt76x0_init_hardware" },
	{ 0x5756699e, "mt76x02_bss_info_changed" },
	{ 0x59e35aed, "pci_enable_wake" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7b746a52, "mt76x02_add_interface" },
	{ 0x466d702b, "____mt76_poll_msec" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5786f835, "mt76x02_tx_prepare_skb" },
	{ 0x3ac217e6, "mt76x02_mcu_cleanup" },
	{ 0x8274e545, "mt76x02_ampdu_action" },
	{ 0x38ec3dda, "mt76x02_conf_tx" },
	{ 0xaa44a815, "dma_set_mask" },
	{ 0xde1125fe, "mt76_sw_scan" },
	{ 0xbbf2f429, "mt76_sta_pre_rcu_remove" },
	{ 0x93f39f48, "pcim_iomap_table" },
	{ 0x93f91729, "napi_schedule_prep" },
	{ 0x857b6e91, "napi_disable" },
	{ 0x3222d0ac, "__mt76_poll" },
	{ 0x9b985cfe, "pcim_enable_device" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x371d9f3, "mt76x02_mac_start" },
	{ 0x34ba71e, "mt76x02_remove_interface" },
	{ 0xee9b13bb, "mt76x02_dma_init" },
	{ 0x802955f7, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x34bc2772, "devm_request_threaded_irq" },
	{ 0xe5569eef, "mt76x0_set_sar_specs" },
	{ 0x472d0d94, "pci_choose_state" },
	{ 0x456804f8, "mt76x02_set_ethtool_fwver" },
	{ 0x41343e7b, "mt76x02_set_key" },
	{ 0x9498b2a4, "mt76x02_mcu_parse_response" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,mt76x0-common,mac80211");

MODULE_ALIAS("pci:v000014C3d00007610sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007630sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007650sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "906911F1F38FDBF7D8EC157");
