#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0xd175c210, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0x6c0254ce, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0xafacead3, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0xe3fd5501, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x49975bc0, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0xb8ab69c7, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0xb3cae7d9, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0xbcd030c9, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x264761a6, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0x2a04c8e4, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x5966be2b, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0x0f50ded4, "");
SYMBOL_CRC(rtw89_pm_ops, 0xa1d93347, "");
SYMBOL_CRC(rtw89_pci_probe, 0x6ef4fe90, "");
SYMBOL_CRC(rtw89_pci_remove, 0xb70dc405, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x862badfd, "rtw89_free_ieee80211_hw" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x93723993, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5a08bad7, "pci_iounmap" },
	{ 0xe8b59a40, "dma_sync_single_for_cpu" },
	{ 0xfb578fc5, "memset" },
	{ 0x7981f428, "_dev_warn" },
	{ 0x4b0d50bf, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x47d44b25, "ieee80211_tx_status" },
	{ 0x45fba35e, "rtw89_ser_notify" },
	{ 0xa042ec7a, "__netdev_alloc_skb" },
	{ 0x6b7f8bac, "skb_unlink" },
	{ 0xd0be4843, "dma_set_coherent_mask" },
	{ 0xa94c9eb1, "rtw89_core_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x16e1d176, "dma_free_attrs" },
	{ 0x46e112, "rtw89_core_rx" },
	{ 0xeb5a45f8, "param_ops_bool" },
	{ 0x9095a4d1, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8128482e, "rtw89_core_deinit" },
	{ 0x64fc3392, "pci_write_config_byte" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa93a6d4f, "pci_disable_device" },
	{ 0xaa44a815, "dma_set_mask" },
	{ 0x93f91729, "napi_schedule_prep" },
	{ 0x534772ec, "pci_read_config_byte" },
	{ 0x92eecede, "dev_kfree_skb_any_reason" },
	{ 0xbdc99304, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3f561799, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x63afcfd1, "rtw89_chip_info_setup" },
	{ 0xa34fa87a, "rtw89_mac_get_err_status" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe1804302, "pcie_capability_read_word" },
	{ 0x87e759ee, "pci_find_ext_capability" },
	{ 0x4e88a1d2, "rtw89_alloc_ieee80211_hw" },
	{ 0x34bc2772, "devm_request_threaded_irq" },
	{ 0x17c7a4cd, "pci_enable_device" },
	{ 0xfd49b880, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x23ba5d22, "consume_skb" },
	{ 0x8581df26, "pci_iomap" },
	{ 0x521297c0, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0x6648820b, "skb_dequeue" },
	{ 0xfaa33465, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3e05fc4d, "dma_sync_single_for_device" },
	{ 0x59486785, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb4cf82f, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7aa0c3e6, "rtw89_core_napi_init" },
	{ 0x99fac39, "rtw89_core_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7db437, "dev_driver_string" },
	{ 0x97ed853f, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x559d750b, "dma_map_page_attrs" },
	{ 0xb21ac22b, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa4a55259, "devm_free_irq" },
	{ 0x78e25536, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc8b22f8b, "_dev_info" },
	{ 0x289280db, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7c99fecb, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x47cfa87f, "rtw89_core_napi_deinit" },
	{ 0x48903983, "skb_push" },
	{ 0xdaffa338, "dma_alloc_attrs" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "BC2A5DDA7D71EB9FE4E858C");
