#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wlcore_set_key, "_gpl", "");
KSYMTAB_FUNC(wlcore_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_free_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_probe, "_gpl", "");
KSYMTAB_FUNC(wlcore_remove, "_gpl", "");
KSYMTAB_DATA(wl12xx_debug_level, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_send, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_wait_for_event_or_timeout, "_gpl", "");
KSYMTAB_FUNC(wlcore_get_native_channel_type, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_test, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_configure, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_data_path, "_gpl", "");
KSYMTAB_FUNC(wl12xx_cmd_build_probe_req, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_generic_cfg, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts_nosync, "_gpl", "");
KSYMTAB_FUNC(wlcore_enable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_synchronize_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_translate_addr, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_partition, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_fw_logger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_rssi_trigger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_soft_gemini_sense, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_sched_scan_completed, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_ba_rx_constraint, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_channel_switch, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_dummy_packet, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_max_tx_failure, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_inactive_sta, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_roc_complete, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_beacon_loss, "_gpl", "");
KSYMTAB_FUNC(wl1271_free_tx_id, "", "");
KSYMTAB_FUNC(wl12xx_is_dummy_packet, "", "");
KSYMTAB_FUNC(wlcore_calc_packet_alignment, "", "");
KSYMTAB_FUNC(wlcore_tx_complete, "", "");
KSYMTAB_FUNC(wl1271_tx_flush, "_gpl", "");
KSYMTAB_FUNC(wl1271_tx_min_rate_get, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_sleep_auth, "_gpl", "");
KSYMTAB_FUNC(wl12xx_acx_mem_cfg, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_init_mem_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_pm_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_set_ht_capabilities, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_firmware, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_nvs, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_run_firmware, "_gpl", "");
KSYMTAB_FUNC(wl1271_format_buffer, "_gpl", "");
KSYMTAB_FUNC(wl1271_debugfs_update_stats, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_scan_chan_params, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_ssid_list, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_results, "_gpl", "");

SYMBOL_CRC(wlcore_set_key, 0x55051d67, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0x07c6e573, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0xed572aa4, "_gpl");
SYMBOL_CRC(wlcore_probe, 0x61731125, "_gpl");
SYMBOL_CRC(wlcore_remove, 0x04060e49, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0x22cc3710, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0xd2aa6c8e, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0x6225056a, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0x97e5f587, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0x69b5b88c, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0x914e99a5, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0xe86d65e7, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0x3fdad47d, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0x5ab02a0f, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0x09061eb9, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0xfd15db14, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0x666eea5a, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0x41e3a043, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0xfdd7feed, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0xeef9fd4f, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0x286c8d0d, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0x13f27c74, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0x93721ae7, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0x6f034a6d, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0x8cc9a529, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0x0dd3c46a, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0x15fc671c, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0x64adb8f3, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0x67546994, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0xc01f1fa6, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0x26e98c32, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0x6e5b8cd7, "");
SYMBOL_CRC(wlcore_tx_complete, 0x526a135e, "");
SYMBOL_CRC(wl1271_tx_flush, 0xcfa07de9, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0xb6228191, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0x24ad9eab, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0x3f145385, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0x1ac7123a, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0x2a9af2d7, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0x02bf286e, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0xa80b8d04, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0xd9af1c5f, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0x7b2f6667, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0x85498cd1, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0xe7348d0d, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0x1f99a77d, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0x5193a724, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0xf5b74c4d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x289280db, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3ae4925, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x4120b9a5, "device_create_file" },
	{ 0xe58c15d6, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xe9bf5c58, "ieee80211_queue_delayed_work" },
	{ 0x839d3bf6, "ieee80211_proberesp_get" },
	{ 0x1ab2e087, "device_wakeup_enable" },
	{ 0x5b898f23, "request_firmware_nowait" },
	{ 0x167aa8b5, "simple_open" },
	{ 0x43d1bbb1, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xba32d19a, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbfaa50aa, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x48903983, "skb_push" },
	{ 0xd4136f3, "debugfs_remove" },
	{ 0x9166fada, "strncpy" },
	{ 0x76699870, "no_seek_end_llseek" },
	{ 0x1dd112e8, "ieee80211_wake_queues" },
	{ 0xc859d49e, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x8f3b662d, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xf6ec5daa, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf324ffa7, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x7981f428, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x6f414486, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x47d44b25, "ieee80211_tx_status" },
	{ 0xaf1dfc9d, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xa042ec7a, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xf1189186, "ieee80211_ready_on_channel" },
	{ 0xef8aadf, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x88e2f24c, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x26aa9696, "ieee80211_cqm_beacon_loss_notify" },
	{ 0xd16b3984, "pv_ops" },
	{ 0x9bc7cbd4, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x83c23299, "ieee80211_sched_scan_results" },
	{ 0x1d3b8f37, "__pm_runtime_resume" },
	{ 0x73c32c67, "ieee80211_scan_completed" },
	{ 0x8b09d585, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x330865b9, "dev_pm_clear_wake_irq" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5f25890b, "pm_runtime_force_resume" },
	{ 0x92938ea3, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc29b44ae, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc2651905, "ieee80211_cqm_rssi_notify" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0xcacd0441, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x134d67e4, "ieee80211_queue_work" },
	{ 0xb5d6e15a, "__pm_runtime_use_autosuspend" },
	{ 0x5d2613be, "ieee80211_sta_ps_transition" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x5b869cd4, "param_ops_int" },
	{ 0xc1009303, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xc946d6ff, "debugfs_create_dir" },
	{ 0x44c5e0d4, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd562e83a, "pm_runtime_force_suspend" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xea6f9f10, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0x5753a223, "device_remove_bin_file" },
	{ 0x1a9a199e, "device_remove_file" },
	{ 0xbca76d23, "ieee80211_csa_finish" },
	{ 0x211d7fc1, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xfac7e03a, "ieee80211_rx_napi" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa57866cd, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfb22f7fe, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbc7e718f, "ieee80211_iterate_interfaces" },
	{ 0x62af4880, "ieee80211_sched_scan_stopped" },
	{ 0x9f28a3d8, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x153e6abb, "ieee80211_chswitch_done" },
	{ 0xfd49b880, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x23ba5d22, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x6648820b, "skb_dequeue" },
	{ 0x4d3fad7, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd8813180, "ieee80211_free_hw" },
	{ 0x58948191, "ieee80211_probereq_get" },
	{ 0xe8647e70, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x65bcf075, "ieee80211_ap_probereq_get" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfddf5f43, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xeb4cf82f, "pcpu_hot" },
	{ 0x9909c905, "ieee80211_pspoll_get" },
	{ 0xf5e9a432, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x18b6802d, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf0b08acf, "ieee80211_get_hdrlen_from_skb" },
	{ 0x6962257d, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x6a8d7ac0, "ieee80211_stop_rx_ba_session" },
	{ 0x32a9c283, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfb1f46cf, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe633491a, "ieee80211_find_sta" },
	{ 0x93eb970d, "ieee80211_handle_wake_tx_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x55f0fa96, "pm_wakeup_dev_event" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xd495b002, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211");


MODULE_INFO(srcversion, "2FF17258B28B10A28824CAD");
