#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rio_local_get_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_query_mport, "", "");
KSYMTAB_FUNC(rio_alloc_net, "_gpl", "");
KSYMTAB_FUNC(rio_add_net, "_gpl", "");
KSYMTAB_FUNC(rio_free_net, "_gpl", "");
KSYMTAB_FUNC(rio_local_set_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_add_device, "_gpl", "");
KSYMTAB_FUNC(rio_del_device, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_add_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_del_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_pw_enable, "_gpl", "");
KSYMTAB_FUNC(rio_map_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_map_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_physefb, "_gpl", "");
KSYMTAB_FUNC(rio_get_comptag, "_gpl", "");
KSYMTAB_FUNC(rio_set_port_lockout, "_gpl", "");
KSYMTAB_FUNC(rio_enable_rx_tx_port, "_gpl", "");
KSYMTAB_FUNC(rio_mport_chk_dev_access, "_gpl", "");
KSYMTAB_FUNC(rio_inb_pwrite_handler, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_efb, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_feature, "_gpl", "");
KSYMTAB_FUNC(rio_lock_device, "_gpl", "");
KSYMTAB_FUNC(rio_unlock_device, "_gpl", "");
KSYMTAB_FUNC(rio_route_add_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_get_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_clr_table, "_gpl", "");
KSYMTAB_FUNC(rio_request_mport_dma, "_gpl", "");
KSYMTAB_FUNC(rio_request_dma, "_gpl", "");
KSYMTAB_FUNC(rio_release_dma, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_xfer, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_slave_sg, "_gpl", "");
KSYMTAB_FUNC(rio_register_scan, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_scan, "_gpl", "");
KSYMTAB_FUNC(rio_init_mports, "_gpl", "");
KSYMTAB_FUNC(rio_mport_initialize, "_gpl", "");
KSYMTAB_FUNC(rio_register_mport, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_mport, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_32, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_send_doorbell, "_gpl", "");
KSYMTAB_FUNC(rio_attach_device, "_gpl", "");
KSYMTAB_DATA(rio_mport_class, "_gpl", "");
KSYMTAB_FUNC(rio_register_driver, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_driver, "_gpl", "");
KSYMTAB_DATA(rio_bus_type, "_gpl", "");
KSYMTAB_FUNC(rio_dev_get, "_gpl", "");
KSYMTAB_FUNC(rio_dev_put, "_gpl", "");

SYMBOL_CRC(rio_local_get_device_id, 0xb1bae28b, "_gpl");
SYMBOL_CRC(rio_query_mport, 0xbc96a770, "");
SYMBOL_CRC(rio_alloc_net, 0x61fb63fc, "_gpl");
SYMBOL_CRC(rio_add_net, 0x57da9a00, "_gpl");
SYMBOL_CRC(rio_free_net, 0xbda9f61b, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0xbe47d57e, "_gpl");
SYMBOL_CRC(rio_add_device, 0xf992091d, "_gpl");
SYMBOL_CRC(rio_del_device, 0xe1bbd356, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0x2d8e00bb, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0x574ba27c, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x06da6783, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0x57434513, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0x76f76c09, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0x38cc1be6, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0xe19d823b, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0x91ebc435, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0x9a61d1db, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0x14395108, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0xff259803, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0xbacc50b1, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0x360905a4, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0xfad3bbef, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0x19b720e4, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0x2ebca873, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0x8a8a0106, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0xe3b1a86e, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0x0a8c073b, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0xa513abec, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0xd65e30ec, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0x6371ac63, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0x7c499ddb, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0x92d260ea, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0xa1cae3aa, "_gpl");
SYMBOL_CRC(rio_lock_device, 0xf06c88c6, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0xb5f5a0f0, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0xb7e31485, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0xb36fab6d, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0x209326dc, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0xbf531990, "_gpl");
SYMBOL_CRC(rio_request_dma, 0xdcebbb0e, "_gpl");
SYMBOL_CRC(rio_release_dma, 0x2abee365, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0x563fd1f2, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0x28b502a3, "_gpl");
SYMBOL_CRC(rio_register_scan, 0x78af264d, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0x5ca5e331, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0xbc911a40, "_gpl");
SYMBOL_CRC(rio_register_mport, 0x2d16f16c, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0x9d31a7f2, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0xb8b08b16, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0xb8b28cc6, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0x36c0a540, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0xeee7b524, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0xb9e9d3aa, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0x73e1db1e, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0x8c20dbc8, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0x08eacde0, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0xc6c079ee, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0x2a095b8f, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0x5666711f, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0x0223413a, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0xa8fece17, "_gpl");
SYMBOL_CRC(rio_attach_device, 0xc886aa01, "_gpl");
SYMBOL_CRC(rio_mport_class, 0x8811bbc1, "_gpl");
SYMBOL_CRC(rio_register_driver, 0x677d684d, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0x0179902a, "_gpl");
SYMBOL_CRC(rio_bus_type, 0x147d47d5, "_gpl");
SYMBOL_CRC(rio_dev_get, 0xfe599b4d, "_gpl");
SYMBOL_CRC(rio_dev_put, 0x740943eb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd163e2c5, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x80061e83, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x48ef2729, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb9a30ead, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x644eb7b5, "module_put" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb5bca14, "driver_unregister" },
	{ 0xb90038aa, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x57db14f6, "device_register" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc5e74216, "release_resource" },
	{ 0x5b869cd4, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeb61b82a, "driver_register" },
	{ 0xc158b664, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0xb6685166, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x398ac18b, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe939fbbd, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9496ce7, "device_unregister" },
	{ 0x12b237d7, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x27329fa6, "dma_release_channel" },
	{ 0x14bb9518, "device_for_each_child" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "893DA794099224AEA7B22EB");
