#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rndis_borrow_net, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_connect, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_disconnect, "_gpl", "");
KSYMTAB_FUNC(rndis_uninit, "_gpl", "");
KSYMTAB_FUNC(rndis_set_host_mac, "_gpl", "");
KSYMTAB_FUNC(rndis_msg_parser, "_gpl", "");
KSYMTAB_FUNC(rndis_register, "_gpl", "");
KSYMTAB_FUNC(rndis_deregister, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_dev, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_vendor, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_medium, "_gpl", "");
KSYMTAB_FUNC(rndis_add_hdr, "_gpl", "");
KSYMTAB_FUNC(rndis_free_response, "_gpl", "");
KSYMTAB_FUNC(rndis_get_next_response, "_gpl", "");
KSYMTAB_FUNC(rndis_rm_hdr, "_gpl", "");

SYMBOL_CRC(rndis_borrow_net, 0xb095c6d5, "_gpl");
SYMBOL_CRC(rndis_signal_connect, 0x14f8d17f, "_gpl");
SYMBOL_CRC(rndis_signal_disconnect, 0xd900c69b, "_gpl");
SYMBOL_CRC(rndis_uninit, 0xbe24a379, "_gpl");
SYMBOL_CRC(rndis_set_host_mac, 0x8d0112a4, "_gpl");
SYMBOL_CRC(rndis_msg_parser, 0x9d77e56c, "_gpl");
SYMBOL_CRC(rndis_register, 0x0ea0f52d, "_gpl");
SYMBOL_CRC(rndis_deregister, 0xb77812e5, "_gpl");
SYMBOL_CRC(rndis_set_param_dev, 0x5aa9da7a, "_gpl");
SYMBOL_CRC(rndis_set_param_vendor, 0xb7055736, "_gpl");
SYMBOL_CRC(rndis_set_param_medium, 0x85ed4e61, "_gpl");
SYMBOL_CRC(rndis_add_hdr, 0x8fa25531, "_gpl");
SYMBOL_CRC(rndis_free_response, 0x1dcecbd4, "_gpl");
SYMBOL_CRC(rndis_get_next_response, 0x4c486109, "_gpl");
SYMBOL_CRC(rndis_rm_hdr, 0xd5d73a7e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88bab188, "gether_set_qmult" },
	{ 0xd6219ffd, "config_group_init_type_name" },
	{ 0x2e13f30d, "gether_get_host_addr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x48903983, "skb_push" },
	{ 0x3c99435d, "gether_set_gadget" },
	{ 0xffb7c514, "ida_free" },
	{ 0x5956a916, "free_netdev" },
	{ 0x5ecb4f26, "usb_ep_autoconfig" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x3b28951b, "usb_put_function_instance" },
	{ 0xb40c9087, "netif_tx_wake_queue" },
	{ 0x1135d10a, "gether_connect" },
	{ 0xc509e235, "gether_get_dev_addr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa65950d8, "gether_set_host_addr" },
	{ 0x88e2f24c, "skb_trim" },
	{ 0x2cd86738, "usb_function_unregister" },
	{ 0x8878cfa6, "gether_cleanup" },
	{ 0x82075605, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3ea59b5d, "usb_ep_alloc_request" },
	{ 0x76ae10e5, "gether_get_ifname" },
	{ 0xfe03544, "gether_set_ifname" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3b9cd10f, "netif_carrier_off" },
	{ 0xce2edf27, "netif_carrier_on" },
	{ 0xcfadfbb, "gether_setup_name_default" },
	{ 0xac5667d9, "usb_ep_queue" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0x58ee736f, "gether_get_qmult" },
	{ 0x754d539c, "strlen" },
	{ 0x92eecede, "dev_kfree_skb_any_reason" },
	{ 0x784d9a58, "usb_ep_enable" },
	{ 0x2c53cadb, "usb_ep_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa4e735fa, "usb_free_all_descriptors" },
	{ 0x15569a8, "usb_gstrings_attach" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x80699f5a, "dev_get_stats" },
	{ 0xb4e29ad7, "usb_os_desc_prepare_interf_dir" },
	{ 0x23ba5d22, "consume_skb" },
	{ 0xc1df32a2, "usb_interface_id" },
	{ 0x4b6e79b0, "usb_assign_descriptors" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xabc799ef, "gether_disconnect" },
	{ 0x80061e83, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2af38e5f, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeeabbca1, "config_ep_by_speed" },
	{ 0xbe2a102e, "gether_set_dev_addr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xac066e83, "gether_register_netdev" },
	{ 0x289280db, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3aa291e4, "usb_function_register" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0x43d1bbb1, "skb_pull" },
	{ 0xfc59c35d, "gether_get_host_addr_u8" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "u_ether,configfs,libcomposite");


MODULE_INFO(srcversion, "318DFC89E16BA7F0803602C");
