#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(musb_get_mode, "_gpl", "");
KSYMTAB_DATA(musb_readb, "_gpl", "");
KSYMTAB_DATA(musb_writeb, "_gpl", "");
KSYMTAB_DATA(musb_clearb, "_gpl", "");
KSYMTAB_DATA(musb_readw, "_gpl", "");
KSYMTAB_DATA(musb_writew, "_gpl", "");
KSYMTAB_DATA(musb_clearw, "_gpl", "");
KSYMTAB_FUNC(musb_readl, "_gpl", "");
KSYMTAB_FUNC(musb_writel, "_gpl", "");
KSYMTAB_FUNC(musb_set_host, "_gpl", "");
KSYMTAB_FUNC(musb_set_peripheral, "_gpl", "");
KSYMTAB_FUNC(musb_interrupt, "_gpl", "");
KSYMTAB_FUNC(musb_mailbox, "_gpl", "");
KSYMTAB_FUNC(musb_queue_resume_work, "_gpl", "");
KSYMTAB_FUNC(musb_root_disconnect, "_gpl", "");

SYMBOL_CRC(musb_get_mode, 0x6078377a, "_gpl");
SYMBOL_CRC(musb_readb, 0x2734197f, "_gpl");
SYMBOL_CRC(musb_writeb, 0x0b4a8834, "_gpl");
SYMBOL_CRC(musb_clearb, 0xe59efb0e, "_gpl");
SYMBOL_CRC(musb_readw, 0x719a5e41, "_gpl");
SYMBOL_CRC(musb_writew, 0xade3e56c, "_gpl");
SYMBOL_CRC(musb_clearw, 0x669594ad, "_gpl");
SYMBOL_CRC(musb_readl, 0xf0f95e51, "_gpl");
SYMBOL_CRC(musb_writel, 0x6af8c6dc, "_gpl");
SYMBOL_CRC(musb_set_host, 0xd9b1b324, "_gpl");
SYMBOL_CRC(musb_set_peripheral, 0x7b5f662f, "_gpl");
SYMBOL_CRC(musb_interrupt, 0xa58778dd, "_gpl");
SYMBOL_CRC(musb_mailbox, 0x09492220, "_gpl");
SYMBOL_CRC(musb_queue_resume_work, 0xa189b004, "_gpl");
SYMBOL_CRC(musb_root_disconnect, 0x0b5f18ce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd12c1b7a, "platform_get_irq_byname" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd495b002, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xff5967d5, "usb_hcd_check_unlink_urb" },
	{ 0x3ae4925, "device_wakeup_disable" },
	{ 0xf44bc4f2, "sg_miter_next" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc233876c, "perf_trace_run_bpf_submit" },
	{ 0x9df23ba1, "devm_kfree" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0x1ab2e087, "device_wakeup_enable" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd4136f3, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xc9babbb7, "sg_miter_stop" },
	{ 0xb7285b32, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4ae3548c, "sg_miter_start" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xab025991, "bpf_trace_run1" },
	{ 0xee979f36, "usb_hcd_link_urb_to_ep" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xa36d1f3a, "usb_put_hcd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82f78dd6, "__platform_driver_register" },
	{ 0xf2163726, "bpf_trace_run3" },
	{ 0xa0159067, "seq_read" },
	{ 0xdba5893f, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x9bc7cbd4, "debugfs_create_file" },
	{ 0x46449e78, "trace_event_buffer_reserve" },
	{ 0x1d3b8f37, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x4c2ec14c, "usb_hcd_giveback_urb" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x5f720d08, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90b6b5f0, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x402c19f4, "usb_hcd_poll_rh_status" },
	{ 0x9006e557, "usb_create_hcd" },
	{ 0xfb1c9b2c, "single_release" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x758eebc7, "dev_err_probe" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0xcacd0441, "__pm_runtime_suspend" },
	{ 0xbfe364b3, "usb_debug_root" },
	{ 0x754d539c, "strlen" },
	{ 0xb5d6e15a, "__pm_runtime_use_autosuspend" },
	{ 0x77642f55, "usb_remove_hcd" },
	{ 0x88a5184e, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xdbe8dcbd, "single_open" },
	{ 0xdf9d7c0e, "usb_hcd_unmap_urb_for_dma" },
	{ 0xc1009303, "__pm_runtime_disable" },
	{ 0xc946d6ff, "debugfs_create_dir" },
	{ 0xbac2f59f, "usb_add_hcd" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xea6f9f10, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf9f23e9e, "devm_platform_ioremap_resource" },
	{ 0xfb22f7fe, "device_set_wakeup_capable" },
	{ 0x6f3120c9, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf069d8e, "devm_kmalloc" },
	{ 0x2d36c50b, "usb_hcd_resume_root_hub" },
	{ 0xbfc69744, "usb_hcd_unlink_urb_from_ep" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x107bbaf1, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf2f752b5, "param_ops_ushort" },
	{ 0xf5abc411, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x4d3fad7, "pm_runtime_set_autosuspend_delay" },
	{ 0xae3b9347, "__trace_trigger_soft_disabled" },
	{ 0x4001a7dc, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x434ad81c, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb4cf82f, "pcpu_hot" },
	{ 0xa0817f6b, "seq_lseek" },
	{ 0x2f0d9053, "usb_otg_state_string" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa7dcfa58, "bpf_trace_run2" },
	{ 0x148653, "vsnprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x80061e83, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2777a360, "usb_get_dr_mode" },
	{ 0xa7db437, "dev_driver_string" },
	{ 0xea6c471, "trace_event_buffer_commit" },
	{ 0xa947bdfe, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "EB86A6A27561D4E3AD7D1E8");
