#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(iova_bitmap_set, "_gpl", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0xefa37d0c, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0x48ee7465, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0x2e02df59, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0x7a585109, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0x8e080e4f, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0x926a26a0, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0xb0e7ac17, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0xe0a61204, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0x7483142c, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0x52e069a4, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0x0585ad22, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0x60fd4069, "");
SYMBOL_CRC(vfio_unpin_pages, 0x73d90afb, "");
SYMBOL_CRC(vfio_dma_rw, 0x433de088, "");
SYMBOL_CRC(iova_bitmap_set, 0x7d2ed4c3, "_gpl");
SYMBOL_CRC(vfio_file_iommu_group, 0xdb491903, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0xe0420379, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0x94b3a78b, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0x78a545a7, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x7bf419c4, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0x082c4615, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0xd2da6432, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x83eb86a8, "cdev_device_del" },
	{ 0xb5a6bc56, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8f89acc9, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0xe4583851, "device_initialize" },
	{ 0x738661b4, "unpin_user_pages" },
	{ 0xa77cd5d2, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb4cf82f, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x80061e83, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x95d07c8f, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xb9a30ead, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc8b22f8b, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x644eb7b5, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xadb9154d, "compat_ptr_ioctl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0x6dc80b8b, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xce807a25, "up_write" },
	{ 0x16efb16c, "device_add" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x81ee466e, "class_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xce7572cf, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0x7981f428, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x11eab928, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x1d3b8f37, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x35f921f8, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0xda12f8e, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xea6f9f10, "__pm_runtime_idle" },
	{ 0xc43a04e6, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x302a061b, "eventfd_ctx_fileget" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0x4cb2869c, "iommu_group_remove_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x20ab28e0, "pin_user_pages_fast" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0x398ac18b, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x1b24626e, "anon_inode_getfile" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x4ad4c451, "misc_deregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe939fbbd, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "05431836AB51F3C55BFDD10");
