#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xc3b89f8d, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x80e744a4, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xd886d812, "_gpl");
SYMBOL_CRC(fat_scan, 0x7a0c9bdc, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x1ac5fa0e, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x191c1a33, "_gpl");
SYMBOL_CRC(fat_add_entries, 0xe261cda4, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x7e20a3fc, "_gpl");
SYMBOL_CRC(fat_getattr, 0xfbd44ea4, "_gpl");
SYMBOL_CRC(fat_setattr, 0x4bb6bf99, "_gpl");
SYMBOL_CRC(fat_attach, 0x080fa102, "_gpl");
SYMBOL_CRC(fat_detach, 0x3ffc7c5f, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x14931ac1, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x91d6ed9c, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xdca7475b, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x89c74fb5, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x1e4fc2d8, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xa332116c, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x99dac6f7, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x083a62d5, "_gpl");
SYMBOL_CRC(fat_update_time, 0xece01f8a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x419a1950, "load_nls" },
	{ 0x24a6e887, "generic_cont_expand_simple" },
	{ 0x8d193205, "make_kuid" },
	{ 0x520e8adc, "truncate_inode_pages_final" },
	{ 0x14191580, "generic_file_mmap" },
	{ 0x101da6ed, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x4a21b571, "ilookup" },
	{ 0xe577a6ab, "kmem_cache_alloc" },
	{ 0x431093c2, "invalidate_inode_buffers" },
	{ 0x954b8ac1, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x868ec1dc, "mnt_drop_write_file" },
	{ 0x28222b77, "inode_init_once" },
	{ 0xadb9154d, "compat_ptr_ioctl" },
	{ 0xf405341f, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xc999ef2f, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x929b035e, "generic_file_read_iter" },
	{ 0x342e8c3b, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x4ef976f7, "truncate_pagecache" },
	{ 0x5b193895, "sync_dirty_buffer" },
	{ 0x876e331b, "setattr_copy" },
	{ 0xbe92e512, "__wait_on_buffer" },
	{ 0x45dd14ef, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x3fa97be9, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0xb9f3324b, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0xcebbadb1, "from_vfsgid" },
	{ 0xb823f447, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc7f4ba29, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x941a85e0, "__bread_gfp" },
	{ 0x9324251f, "block_dirty_folio" },
	{ 0xa4a56808, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xf24bb72a, "__insert_inode_hash" },
	{ 0x6454731b, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x482e9fc4, "make_kgid" },
	{ 0x5a0bea63, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xa2b54949, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeb34819a, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xbf2963bd, "igrab" },
	{ 0xbf645478, "__getblk_gfp" },
	{ 0x240c6c7c, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x82df688, "mpage_readahead" },
	{ 0xcc354233, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x3ecb2520, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x90b6b5f0, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x3c5ce583, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xf6fee58, "blkdev_issue_flush" },
	{ 0xba44b9ff, "seq_puts" },
	{ 0x5475a37d, "generic_fh_to_parent" },
	{ 0xb9ac5f96, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xea3fed1, "from_kuid_munged" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0xefe2d204, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x4f33929, "kmem_cache_alloc_lru" },
	{ 0x23820da8, "__mark_inode_dirty" },
	{ 0x44c5e0d4, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3f0d0bb5, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0xb4d570f1, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x856caa2b, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0x6aa77e9a, "kmem_cache_destroy" },
	{ 0xefecca56, "blkdev_issue_discard" },
	{ 0xa53a0843, "filemap_fdatawrite" },
	{ 0x542c67ec, "generic_fillattr" },
	{ 0xa9f87ac5, "setattr_prepare" },
	{ 0x23b6b77d, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xbc3c9f3a, "sync_blockdev_nowait" },
	{ 0xeffc7cfc, "make_vfsgid" },
	{ 0x9873eab4, "blk_start_plug" },
	{ 0x67a8e73a, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf413db44, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xa45d9c19, "new_inode" },
	{ 0x52050c68, "mark_buffer_dirty" },
	{ 0xfa524396, "security_inode_setattr" },
	{ 0x73768d80, "__find_get_block" },
	{ 0x19837bea, "filemap_fdatawrite_range" },
	{ 0x1cf0d369, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x4bd157bb, "__blockdev_direct_IO" },
	{ 0x12325933, "d_make_root" },
	{ 0x123ba80d, "__bforget" },
	{ 0x3658cacd, "sb_set_blocksize" },
	{ 0xf67c569d, "block_truncate_page" },
	{ 0x626e2d98, "write_dirty_buffer" },
	{ 0xa1d34a5b, "sync_filesystem" },
	{ 0xe68a8684, "fsnotify" },
	{ 0xede62aca, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9f47dfc6, "from_vfsuid" },
	{ 0xc087beca, "inode_dio_wait" },
	{ 0xc2fcd3da, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xe32f4a97, "cont_write_begin" },
	{ 0x2e74febd, "iput" },
	{ 0xeb4cf82f, "pcpu_hot" },
	{ 0xe3983d43, "iter_file_splice_write" },
	{ 0x31b4f402, "generic_file_write_iter" },
	{ 0xe3748d95, "kmem_cache_create" },
	{ 0x3bb14e4d, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4537a7dc, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xa42f7189, "mnt_want_write_file" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe1225c39, "block_invalidate_folio" },
	{ 0x6f8bef47, "__breadahead" },
	{ 0xd8e9fc53, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EF042D9B3B77125716895A3");
