#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_slave_dev_check, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_port_by_vbid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0xfd3e2b67, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0x00e7830f, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0x028da6d5, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0xf0cda318, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0x29060b98, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0x10f108a2, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0xd2f6a27b, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0x3f7656ba, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0x069123ce, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0x3af75e9b, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0x5106a949, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0xd4dd22aa, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0x81257b95, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0x9d811246, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0xc71431d7, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0x8c6b2785, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0xc0122150, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0xc3129082, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0xd2ef115a, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0x31cafb12, "_gpl");
SYMBOL_CRC(dsa_slave_dev_check, 0x462a68ba, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0x1145d7cc, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0x06969e44, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0xb6069972, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0xafa8152f, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0xef005e61, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0xfdbc8f2d, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0x4a44cb92, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0xfd4d34be, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_port_by_vbid, 0xeeb70450, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0x2fc8e88d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb9a30ead, "put_device" },
	{ 0x1ddd5756, "devlink_resource_register" },
	{ 0x9b469fa3, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x9a919309, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd1d56f49, "switchdev_bridge_port_offload" },
	{ 0x581d0faa, "netif_device_attach" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0x644eb7b5, "module_put" },
	{ 0xf62e6aa6, "ptp_classify_raw" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xaf9b677e, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xf653f4be, "devlink_region_create" },
	{ 0xf2e263fb, "vlan_dev_real_dev" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x3bd1782, "__dev_get_by_index" },
	{ 0x922592ea, "rtnl_link_unregister" },
	{ 0xc233876c, "perf_trace_run_bpf_submit" },
	{ 0xe24ec969, "devlink_port_unregister" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0xa5785b4c, "init_net" },
	{ 0x7b6ba7ed, "noop_qdisc" },
	{ 0xc406f7ff, "phy_ethtool_get_strings" },
	{ 0xa98a0cd1, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xe801b54e, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x2a2c5b97, "dev_remove_pack" },
	{ 0xd4490568, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x78162201, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6a8f2509, "gro_cells_receive" },
	{ 0xed4d53df, "switchdev_handle_port_obj_del_foreign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x48903983, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xfc3d6da9, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xe78900b8, "dev_mc_del" },
	{ 0xb7285b32, "trace_event_reg" },
	{ 0x1eb5ac77, "br_vlan_get_info" },
	{ 0x5956a916, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x66c7f4eb, "mdiobus_free" },
	{ 0x75a1ea99, "phylink_generic_validate" },
	{ 0x234ed0b6, "sysfs_create_group" },
	{ 0x1b11abe2, "devlink_resource_occ_get_register" },
	{ 0xbb3da89f, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xbb9b2154, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x261f295e, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x9a2e1d3f, "switchdev_bridge_port_unoffload" },
	{ 0x7981f428, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5e8663c7, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0xd9ba3620, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x72e6b4bc, "netif_rx" },
	{ 0xbc2eddaf, "dev_mc_add" },
	{ 0xa6d4aa2d, "flow_block_cb_alloc" },
	{ 0x7a0fc422, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x88e2f24c, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3e2d62fa, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd16b3984, "pv_ops" },
	{ 0x8bd3e77c, "sysfs_remove_group" },
	{ 0xa797e519, "net_selftest" },
	{ 0xf2163726, "bpf_trace_run3" },
	{ 0x9d995a5e, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0xcb6a07f2, "devlink_port_init" },
	{ 0x6a75413b, "__netpoll_setup" },
	{ 0x23c65a48, "__dev_queue_xmit" },
	{ 0x1a7887fd, "vlan_vid_add" },
	{ 0xe4fba8a9, "devlink_params_register" },
	{ 0x46449e78, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0xd79fbbb1, "vlan_vid_del" },
	{ 0xfd6b7975, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x4d8c97b5, "devlink_resources_unregister" },
	{ 0xb3bc27e0, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3b9cd10f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x42b9c1cc, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x7e525142, "devlink_port_region_create" },
	{ 0x8348de83, "devlink_priv" },
	{ 0x869ef567, "skb_copy" },
	{ 0x8e7b5d2d, "__hw_addr_sync_dev" },
	{ 0xd09bfff7, "devlink_port_register_with_ops" },
	{ 0x7d5301a7, "mdiobus_get_phy" },
	{ 0x830c6f54, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xa4c9d9a6, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d2125ea, "dev_uc_add" },
	{ 0x49c94eed, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x88b488f6, "br_mst_enabled" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0xa1813375, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0x92eecede, "dev_kfree_skb_any_reason" },
	{ 0x3df6294a, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe8b812dd, "device_link_add" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0xb407e033, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf83d0355, "dcb_ieee_setapp" },
	{ 0x2f445233, "phy_ethtool_get_sset_count" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd4c6c8c3, "__skb_vlan_pop" },
	{ 0x3461e99, "phylink_connect_phy" },
	{ 0x7f424b21, "br_get_ageing_time" },
	{ 0x4c4420c2, "register_netdevice" },
	{ 0x618899eb, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0xd449e5b0, "netdev_lower_get_next" },
	{ 0xd671ee99, "flow_block_cb_lookup" },
	{ 0x43a69fa, "switchdev_handle_port_obj_add_foreign" },
	{ 0xe914e41e, "strcpy" },
	{ 0x8637ed5, "devlink_resource_occ_get_unregister" },
	{ 0xf88cced6, "dev_set_mtu" },
	{ 0x27009a39, "br_vlan_enabled" },
	{ 0x80d3af20, "__skb_pad" },
	{ 0x398ac18b, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6f3120c9, "bpf_trace_run4" },
	{ 0xa2dcd6d0, "devlink_unregister" },
	{ 0x73438ded, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x6ae2c1a0, "br_port_flag_is_set" },
	{ 0xf069d8e, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb7d52857, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb383c052, "br_port_get_stp_state" },
	{ 0x23ba5d22, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf6833b75, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x24657487, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb971b6ed, "__netpoll_free" },
	{ 0xf5abc411, "trace_raw_output_prep" },
	{ 0x654b12c4, "br_vlan_get_proto" },
	{ 0x31f13b60, "br_mst_get_state" },
	{ 0x530860b4, "unregister_netdev" },
	{ 0xae3b9347, "__trace_trigger_soft_disabled" },
	{ 0x4001a7dc, "trace_event_printf" },
	{ 0xd686f8fd, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc4a78b95, "netpoll_send_skb" },
	{ 0xc9d13436, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x2a2b29bc, "devlink_params_unregister" },
	{ 0x630c817d, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0x434ad81c, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xbcec6047, "devlink_alloc_ns" },
	{ 0xa6e1ffe7, "dev_set_promiscuity" },
	{ 0x75ce2d43, "devlink_register" },
	{ 0xeb4cf82f, "pcpu_hot" },
	{ 0xe8afd024, "devlink_free" },
	{ 0x76bd1534, "gro_cells_init" },
	{ 0xa7dcfa58, "bpf_trace_run2" },
	{ 0xffb60d46, "netdev_warn" },
	{ 0x8e802191, "unregister_netdevice_queue" },
	{ 0xd163e2c5, "get_device" },
	{ 0x994d7f2f, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x80061e83, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2079f75, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0x84d6bfdd, "switchdev_handle_fdb_event_to_device" },
	{ 0x4ce8f3c5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xea4f77e6, "netdev_upper_dev_link" },
	{ 0xe91f09ea, "pskb_expand_head" },
	{ 0xf4567092, "switchdev_handle_port_attr_set" },
	{ 0x5080b3e5, "phylink_create" },
	{ 0xf9b00c9e, "vlan_for_each" },
	{ 0xd5819a1e, "netdev_port_same_parent_id" },
	{ 0xea6c471, "trace_event_buffer_commit" },
	{ 0xb3810024, "dev_addr_mod" },
	{ 0x8697ad5f, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4dfd5316, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x603ced68, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc0709cb, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "2C71DA336FB2FED77A51E43");
