#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hdac_ext_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_device_remove, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_register, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_int_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_ml_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_link_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_addr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_set_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_clear_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_get, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_put, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_init_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_clear, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_cstream_assign, "_gpl", "");

SYMBOL_CRC(snd_hdac_ext_bus_init, 0x20facc75, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_exit, 0xfb79c84e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_device_remove, 0xf908a5ed, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_register, 0xd292716c, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_unregister, 0x2ed56d9b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_enable, 0x957b77dd, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_int_enable, 0xb52cc652, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_ml_capabilities, 0x97747a41, "_gpl");
SYMBOL_CRC(snd_hdac_ext_link_free_all, 0xb779841a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_addr, 0xe125c44e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_name, 0x746e9b68, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up, 0xd2cb0003, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down, 0x51d31c68, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up_all, 0xb74c6382, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down_all, 0x7d7ea6ac, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_set_stream_id, 0x9750a094, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_clear_stream_id, 0x3a85fb3a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_get, 0x1375bfd7, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_put, 0xdbcfa634, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power, 0xc29ec841, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_init_all, 0x03f0b562, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_free_all, 0x83315395, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple_locked, 0x1bb5634b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple, 0x3c909501, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_start, 0x6ef11fe5, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_clear, 0xec33aaa8, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_reset, 0xa1c29ebb, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_setup, 0xf22dc286, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_assign, 0x3c2dc97f, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_release, 0x1019ca72, "_gpl");
SYMBOL_CRC(snd_hdac_ext_cstream_assign, 0xc5b1efd3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd3293ec0, "snd_hdac_bus_link_power" },
	{ 0x37a0cba, "kfree" },
	{ 0x80061e83, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb005e940, "snd_hdac_bus_exit" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb9a30ead, "put_device" },
	{ 0x8b89101a, "snd_hdac_bus_init" },
	{ 0x940e6798, "snd_hdac_stream_init" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0x692795a1, "snd_hdac_device_unregister" },
	{ 0x2550d1d3, "snd_hdac_stream_assign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb5bca14, "driver_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5d3c6ed, "snd_hdac_bus_stop_cmd_io" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7348679f, "snd_hdac_bus_init_cmd_io" },
	{ 0x288e901c, "snd_hda_bus_type" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0xeb61b82a, "driver_register" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0xb484a585, "snd_hdac_stream_release" },
	{ 0xae09b9b8, "snd_hdac_stream_release_locked" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core");


MODULE_INFO(srcversion, "C6BD06A3B33D46F6573CECD");
