#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0xd8c3ef5a, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0x6034e8ca, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x75f9ef66, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0x395ca496, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0x635c5d53, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0x8e4d17e9, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0xedcb3c07, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0xd24b05a8, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0x8cb8729d, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x885b2bc9, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0x41b79e82, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0xb8017aa0, "_gpl");
SYMBOL_CRC(mhi_notify, 0x06d4b00b, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x6eaed618, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x51dcea09, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0x2ea1cd4c, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0x974463c7, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0xa07b4566, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x075681cf, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0xff843ea0, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0xef500e7f, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0xdb81ea5b, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0x5493273c, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0x0f49bee7, "_gpl");
SYMBOL_CRC(mhi_power_down, 0x36d8a0e5, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0x7a48822d, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0xb796960f, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x8a5835dc, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0x68b704bc, "_gpl");
SYMBOL_CRC(mhi_device_put, 0xc41fdfe8, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0xeb987e83, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x14bb9518, "device_for_each_child" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd163e2c5, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x80061e83, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0xa7db437, "dev_driver_string" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x559d750b, "dma_map_page_attrs" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x55f0fa96, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb9a30ead, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc8b22f8b, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xef9058d2, "bus_unregister" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0x1ab2e087, "device_wakeup_enable" },
	{ 0x16efb16c, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdaffa338, "dma_alloc_attrs" },
	{ 0xd4136f3, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xffb7c514, "ida_free" },
	{ 0xb5bca14, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xce7572cf, "device_del" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x7981f428, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa0159067, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9bc7cbd4, "debugfs_create_file" },
	{ 0x16e1d176, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90b6b5f0, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xba44b9ff, "seq_puts" },
	{ 0xfb1c9b2c, "single_release" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0xdbe8dcbd, "single_open" },
	{ 0xc946d6ff, "debugfs_create_dir" },
	{ 0xeb61b82a, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0xb6685166, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x48112d76, "_raw_read_lock_irq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfb22f7fe, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe939fbbd, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa58af0a6, "_raw_read_unlock_irq" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xfaa33465, "dma_unmap_page_attrs" },
	{ 0xe8647e70, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe4583851, "device_initialize" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4D2AD7517D9BEFCA85AE16F");
