#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x6aa2a877, "xenbus_printf" },
	{ 0x5f6a910f, "xen_front_pgdir_shbuf_map" },
	{ 0xdaaa1ae6, "xenbus_switch_state" },
	{ 0xddcd4e31, "drm_gem_object_init" },
	{ 0x5983e9d6, "drmm_mode_config_init" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1059fa4d, "drm_crtc_send_vblank_event" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa72feb8c, "drm_atomic_helper_commit" },
	{ 0xaae55392, "drm_atomic_helper_check" },
	{ 0xeaab6b2a, "drm_atomic_helper_connector_destroy_state" },
	{ 0x75a049f, "xen_front_pgdir_shbuf_free" },
	{ 0xa4153409, "drm_gem_mmap" },
	{ 0xfa1e8456, "drm_mode_create" },
	{ 0x925c8d3b, "drm_ioctl" },
	{ 0xd0458ccb, "xenbus_strstate" },
	{ 0x630ab494, "xenbus_alloc_evtchn" },
	{ 0xda56e919, "xen_free_unpopulated_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xe758037e, "drm_gem_vm_close" },
	{ 0xb1c88500, "drm_gem_vm_open" },
	{ 0x45c2b937, "drm_dev_unplug" },
	{ 0xe7ed613c, "drm_connector_init" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa6f0fffa, "__xenbus_register_frontend" },
	{ 0xce807a25, "up_write" },
	{ 0x66cf2f64, "drm_display_mode_from_videomode" },
	{ 0x89514efe, "noop_llseek" },
	{ 0xcf7de447, "drm_read" },
	{ 0xe913d175, "drm_gem_object_release" },
	{ 0x732852fe, "xenbus_transaction_end" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x76047989, "xen_front_pgdir_shbuf_alloc" },
	{ 0x83f663b2, "xenbus_unregister_driver" },
	{ 0xc0faa89e, "xen_front_pgdir_shbuf_unmap" },
	{ 0xf8215467, "vmap" },
	{ 0xcaa3f8c1, "drm_gem_handle_create" },
	{ 0xf1aca77d, "xenbus_free_evtchn" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x385cf66, "drm_prime_pages_to_sg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6676a0b7, "drm_dev_unregister" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x76cb7d26, "drm_dev_put" },
	{ 0x144284e2, "drm_gem_fb_create_with_funcs" },
	{ 0x34eab46d, "bind_evtchn_to_irqhandler" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x10132c6b, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x60c18ae3, "drm_simple_display_pipe_init" },
	{ 0x86623fd7, "notify_remote_via_irq" },
	{ 0x122de0e, "drm_connector_cleanup" },
	{ 0xd0be4843, "dma_set_coherent_mask" },
	{ 0x2b50df45, "devm_kasprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6502d9c2, "xenbus_scanf" },
	{ 0x52431348, "xenbus_transaction_start" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2fc6106a, "vm_map_pages" },
	{ 0x9b651e51, "xenbus_teardown_ring" },
	{ 0xee7e618b, "drm_helper_probe_single_connector_modes" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x83daf547, "xen_alloc_unpopulated_pages" },
	{ 0xaa44a815, "dma_set_mask" },
	{ 0x9f29b84d, "drm_atomic_helper_connector_reset" },
	{ 0xd538b432, "drm_mode_config_reset" },
	{ 0x158a0a60, "xenbus_setup_ring" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0x8bcf879e, "drm_mode_config_cleanup" },
	{ 0x7cc4d882, "xenbus_dev_error" },
	{ 0xe35d06f9, "xenbus_frontend_closed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x55da012, "drm_dev_alloc" },
	{ 0xe0a699cb, "drm_gem_put_pages" },
	{ 0x57498bfe, "drm_compat_ioctl" },
	{ 0xb5f0f882, "drm_dev_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x85cb2c45, "xen_has_pv_devices" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0x8c85652f, "drm_prime_gem_destroy" },
	{ 0xe1c75a7a, "drm_release" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x8fcac5aa, "drm_gem_fb_destroy" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x7712771a, "unbind_from_irqhandler" },
	{ 0x9e8aa37e, "drm_kms_helper_poll_fini" },
	{ 0x9fd3784e, "drm_open" },
	{ 0x920f74a5, "drm_poll" },
	{ 0x2a095c39, "drm_dev_enter" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x1dee9349, "drm_gem_get_pages" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf069d8e, "devm_kmalloc" },
	{ 0x4d388b6a, "drm_kms_helper_poll_init" },
	{ 0xa6257a2f, "complete" },
	{ 0xe57285bf, "drm_mode_probed_add" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4aa4cd8e, "xenbus_dev_fatal" },
	{ 0x466826fe, "drm_atomic_helper_shutdown" },
	{ 0xc6572a90, "xenbus_read_unsigned" },
	{ 0x8edf09a2, "xen_front_pgdir_shbuf_get_dir_start" },
	{ 0x8f2d53e0, "drm_prime_sg_to_page_array" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "xen-front-pgdir-shbuf");


MODULE_INFO(srcversion, "84CD1627E33B96226B18D0E");
