#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx88_tuner_callback, "", "");
KSYMTAB_FUNC(cx88_setup_xc3028, "_gpl", "");
KSYMTAB_FUNC(cx88_risc_buffer, "", "");
KSYMTAB_FUNC(cx88_risc_databuffer, "", "");
KSYMTAB_DATA(cx88_sram_channels, "", "");
KSYMTAB_FUNC(cx88_sram_channel_setup, "", "");
KSYMTAB_FUNC(cx88_sram_channel_dump, "", "");
KSYMTAB_FUNC(cx88_print_irqbits, "", "");
KSYMTAB_FUNC(cx88_core_irq, "", "");
KSYMTAB_FUNC(cx88_wakeup, "", "");
KSYMTAB_FUNC(cx88_shutdown, "", "");
KSYMTAB_FUNC(cx88_reset, "", "");
KSYMTAB_FUNC(cx88_set_scale, "", "");
KSYMTAB_FUNC(cx88_set_tvnorm, "", "");
KSYMTAB_FUNC(cx88_vdev_init, "", "");
KSYMTAB_FUNC(cx88_core_get, "", "");
KSYMTAB_FUNC(cx88_core_put, "", "");
KSYMTAB_FUNC(cx88_set_tvaudio, "", "");
KSYMTAB_FUNC(cx88_newstation, "", "");
KSYMTAB_FUNC(cx88_get_stereo, "", "");
KSYMTAB_FUNC(cx88_set_stereo, "", "");
KSYMTAB_FUNC(cx88_audio_thread, "", "");
KSYMTAB_FUNC(cx88_dsp_detect_stereo_sap, "", "");
KSYMTAB_FUNC(cx88_ir_start, "", "");
KSYMTAB_FUNC(cx88_ir_stop, "", "");

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0x8c9cacc4, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0xfc216329, "");
SYMBOL_CRC(cx88_risc_databuffer, 0x63ecbf54, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0xa76d872d, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0x751cd7da, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0xc662b7a3, "");
SYMBOL_CRC(cx88_wakeup, 0x306d1cfc, "");
SYMBOL_CRC(cx88_shutdown, 0x77b1c0fb, "");
SYMBOL_CRC(cx88_reset, 0x008f957c, "");
SYMBOL_CRC(cx88_set_scale, 0xdeed6609, "");
SYMBOL_CRC(cx88_set_tvnorm, 0x21e6576e, "");
SYMBOL_CRC(cx88_vdev_init, 0x7dea5c9a, "");
SYMBOL_CRC(cx88_core_get, 0xa480b64a, "");
SYMBOL_CRC(cx88_core_put, 0x16d6b050, "");
SYMBOL_CRC(cx88_set_tvaudio, 0x45c839e9, "");
SYMBOL_CRC(cx88_newstation, 0x3bc6fbfc, "");
SYMBOL_CRC(cx88_get_stereo, 0x19e58e3f, "");
SYMBOL_CRC(cx88_set_stereo, 0x3ff26421, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0xa7c01800, "");
SYMBOL_CRC(cx88_ir_start, 0xc1f6ae14, "");
SYMBOL_CRC(cx88_ir_stop, 0x329ec174, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeb4cf82f, "pcpu_hot" },
	{ 0x8c054dae, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0x90e17ae, "i2c_smbus_xfer" },
	{ 0x54448185, "i2c_del_adapter" },
	{ 0x76757c65, "rc_keyup" },
	{ 0x4fc84b28, "__v4l2_ctrl_grab" },
	{ 0xf3ccfc1a, "i2c_unregister_device" },
	{ 0x66d88b5a, "tveeprom_read" },
	{ 0xf4516ea4, "rc_keydown_notimeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x66b605ad, "rc_register_device" },
	{ 0xdaffa338, "dma_alloc_attrs" },
	{ 0x19402c09, "rc_keydown" },
	{ 0xeb11db26, "vb2_buffer_done" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf9f7a041, "i2c_new_client_device" },
	{ 0x31b0b5d, "freezing_slow_path" },
	{ 0x7d247dbe, "rc_free_device" },
	{ 0x3c5d543a, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4084fa4d, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5c366ff, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x64fc3392, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xa29ef8ae, "v4l2_ctrl_handler_free" },
	{ 0x8bc909f0, "i2c_transfer" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0x7b326239, "v4l2_device_unregister" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x828e22f4, "hrtimer_forward" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0xdc48d159, "v4l2_i2c_new_subdev" },
	{ 0x534772ec, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x5b869cd4, "param_ops_int" },
	{ 0x209b0501, "ir_raw_event_store_with_filter" },
	{ 0x633ce6d4, "i2c_smbus_read_byte_data" },
	{ 0xe47c5467, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe3682e31, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0x69c29fdb, "ir_raw_event_handle" },
	{ 0x9f28a3d8, "param_ops_uint" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa04de7b7, "i2c_bit_add_bus" },
	{ 0x13632b80, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x2d0684a9, "hrtimer_init" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x12b237d7, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "rc-core,videodev,tveeprom,videobuf2-common,i2c-algo-bit");


MODULE_INFO(srcversion, "C0D49D099BAF7E37DC2A059");
