#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(go7007_read_interrupt, "", "");
KSYMTAB_FUNC(go7007_read_addr, "", "");
KSYMTAB_FUNC(go7007_boot_encoder, "", "");
KSYMTAB_FUNC(go7007_register_encoder, "", "");
KSYMTAB_FUNC(go7007_parse_video_stream, "", "");
KSYMTAB_FUNC(go7007_alloc, "", "");
KSYMTAB_FUNC(go7007_update_board, "", "");
KSYMTAB_FUNC(go7007_snd_init, "", "");
KSYMTAB_FUNC(go7007_snd_remove, "", "");

SYMBOL_CRC(go7007_read_interrupt, 0x9af14b83, "");
SYMBOL_CRC(go7007_read_addr, 0x593b4026, "");
SYMBOL_CRC(go7007_boot_encoder, 0xb543daf9, "");
SYMBOL_CRC(go7007_register_encoder, 0xcf700b60, "");
SYMBOL_CRC(go7007_parse_video_stream, 0x2fd57f9c, "");
SYMBOL_CRC(go7007_alloc, 0xaf11cc30, "");
SYMBOL_CRC(go7007_update_board, 0x556d1c37, "");
SYMBOL_CRC(go7007_snd_init, 0xfebec38d, "");
SYMBOL_CRC(go7007_snd_remove, 0x617da06f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f414486, "param_ops_charp" },
	{ 0x2591e2c1, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4f6d8083, "vb2_fop_read" },
	{ 0x4084fa4d, "v4l2_device_register" },
	{ 0xf2108b44, "i2c_add_adapter" },
	{ 0x125eafc, "snd_card_disconnect" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeb5a45f8, "param_ops_bool" },
	{ 0x42dd5d44, "__video_register_device" },
	{ 0x44ab3203, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x98e5f551, "vb2_ioctl_streamon" },
	{ 0x39de21f9, "vb2_fop_poll" },
	{ 0xec8c6224, "v4l2_ctrl_new_std" },
	{ 0x7fdebe77, "v4l2_ctrl_g_ctrl" },
	{ 0xa29ef8ae, "v4l2_ctrl_handler_free" },
	{ 0x7b326239, "v4l2_device_unregister" },
	{ 0x3d175d39, "v4l2_subdev_call_wrappers" },
	{ 0x6f93c9a5, "snd_pcm_period_elapsed" },
	{ 0xab2bdb0e, "v4l2_ctrl_log_status" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0xa2624bf7, "v4l2_event_queue" },
	{ 0x5b869cd4, "param_ops_int" },
	{ 0xe47c5467, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8be288e3, "v4l2_event_unsubscribe" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0x91b4184f, "vb2_ioctl_reqbufs" },
	{ 0x5de281fd, "vb2_queue_init" },
	{ 0x61a6885a, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa002f18c, "v4l2_device_put" },
	{ 0xc3947e55, "vb2_ioctl_streamoff" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf9ee220d, "snd_pcm_new" },
	{ 0xe21e0742, "snd_card_register" },
	{ 0xd803166c, "v4l2_i2c_new_subdev_board" },
	{ 0x601fe30e, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe8647e70, "request_firmware" },
	{ 0xb829c6c8, "vb2_ops_wait_finish" },
	{ 0x13632b80, "v4l2_ctrl_handler_init_class" },
	{ 0x12b237d7, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa19981f4, "vb2_ioctl_querybuf" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x710f2d1a, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb21e86a9, "video_devdata" },
	{ 0x6c2c32e9, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc8b22f8b, "_dev_info" },
	{ 0x54448185, "i2c_del_adapter" },
	{ 0xfe8a673e, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4fc84b28, "__v4l2_ctrl_grab" },
	{ 0xf6a0e0da, "vb2_ioctl_dqbuf" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0x63c54fb2, "v4l2_ctrl_new_custom" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9c6588e6, "snd_card_free_when_closed" },
	{ 0xeb11db26, "vb2_buffer_done" },
	{ 0x1583567e, "vb2_plane_vaddr" },
	{ 0x210d60c7, "v4l2_ctrl_subscribe_event" },
	{ 0x4ec49ed9, "snd_pcm_set_ops" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x858e30c7, "v4l2_event_subscribe" },
	{ 0x6544460e, "vb2_ioctl_qbuf" },
	{ 0x9e903cb5, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1225fda5, "snd_device_new" },
	{ 0x69bb6d1f, "vb2_vmalloc_memops" },
	{ 0x7d656a32, "snd_pcm_set_managed_buffer_all" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,snd,snd-pcm,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "6F737DACACECCBC5F6654A6");
