#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0xcfac82ae, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0xe6a66b44, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0x1ec193e3, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0xc912d215, "");
SYMBOL_CRC(mpt_halt_firmware, 0xdb5f3285, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0xfeed709d, "");
SYMBOL_CRC(mpt_attach, 0x7a3f098a, "");
SYMBOL_CRC(mpt_detach, 0xd6799f60, "");
SYMBOL_CRC(mpt_resume, 0x216c5aa0, "");
SYMBOL_CRC(mpt_suspend, 0x4ce22484, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0xe25333c8, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0x9d5f0b20, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0xcfb97638, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0xf1eaa8fc, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0x93b27b25, "");
SYMBOL_CRC(mpt_put_msg_frame, 0x3377c9fe, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0x36472207, "");
SYMBOL_CRC(mpt_free_msg_frame, 0x78ff838b, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x0f1839ab, "");
SYMBOL_CRC(mpt_verify_adapter, 0xd019df29, "");
SYMBOL_CRC(mpt_GetIocState, 0x23080403, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0xfc8f1290, "");
SYMBOL_CRC(mpt_HardResetHandler, 0x1b84a46e, "");
SYMBOL_CRC(mpt_config, 0xddd8475f, "");
SYMBOL_CRC(mpt_findImVolumes, 0xd05fe17b, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0xbdba847a, "");
SYMBOL_CRC(mpt_free_fw_memory, 0xc643e9f4, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0x49e00e12, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0x3ba65539, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x122c3a7e, "_printk" },
	{ 0x90b6b5f0, "seq_printf" },
	{ 0x7ecbe23, "pci_stop_and_remove_bus_device_locked" },
	{ 0xdaffa338, "dma_alloc_attrs" },
	{ 0x16e1d176, "dma_free_attrs" },
	{ 0x7635e9ea, "pci_select_bars" },
	{ 0x8ad39d7b, "pci_enable_device_mem" },
	{ 0x9ad60118, "pci_request_selected_regions" },
	{ 0x2e8c684c, "dma_get_required_mask" },
	{ 0xaa44a815, "dma_set_mask" },
	{ 0x8e32b3e9, "pci_release_selected_regions" },
	{ 0xa93a6d4f, "pci_disable_device" },
	{ 0xd0be4843, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0xfb578fc5, "memset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7674a2c9, "remove_proc_entry" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf1e046cc, "panic" },
	{ 0x9db2765a, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xd582447, "seq_putc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd9d81df1, "proc_mkdir" },
	{ 0xc37f1b57, "proc_create_single_data" },
	{ 0x472d0d94, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x802955f7, "pci_save_state" },
	{ 0xe358fe56, "pci_set_power_state" },
	{ 0x420dce97, "pci_disable_msi" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe621f81c, "pci_read_config_word" },
	{ 0x2f5359bb, "pci_write_config_word" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4b0d50bf, "pci_set_master" },
	{ 0x17c7a4cd, "pci_enable_device" },
	{ 0xec1a0388, "pci_enable_msi" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x306accb3, "kthread_create_on_node" },
	{ 0xc4e2482d, "wake_up_process" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x534772ec, "pci_read_config_byte" },
	{ 0x64fc3392, "pci_write_config_byte" },
	{ 0x559508cd, "pci_get_slot" },
	{ 0x53bfeb12, "pci_dev_put" },
	{ 0x59e35aed, "pci_enable_wake" },
	{ 0xf7c899, "pci_restore_state" },
	{ 0x5b869cd4, "param_ops_int" },
	{ 0x397a410b, "param_get_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7B5A7A0D80380BB31E92910");
