#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xd3cfcc97, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xa8257233, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xa261928b, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x0536730f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e802191, "unregister_netdevice_queue" },
	{ 0xfc3d6da9, "netdev_upper_dev_unlink" },
	{ 0xb3810024, "dev_addr_mod" },
	{ 0x8d2125ea, "dev_uc_add" },
	{ 0xf88cced6, "dev_set_mtu" },
	{ 0x77ed2224, "netif_inherit_tso_max" },
	{ 0xa5092cf7, "netdev_update_features" },
	{ 0x9fae63cd, "netif_stacked_transfer_operstate" },
	{ 0x4d7ce38b, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xd16264fc, "skb_clone" },
	{ 0x72e6b4bc, "netif_rx" },
	{ 0xeb4cf82f, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9a5f2047, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x23ba5d22, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd16b3984, "pv_ops" },
	{ 0x23c65a48, "__dev_queue_xmit" },
	{ 0xe42f42de, "dev_forward_skb" },
	{ 0xc4a78b95, "netpoll_send_skb" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x8fc2a7ba, "__netif_rx" },
	{ 0x621b62df, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7dae2335, "netdev_core_stats_alloc" },
	{ 0x3bd1782, "__dev_get_by_index" },
	{ 0x61b607ff, "netdev_is_rx_handler_busy" },
	{ 0xebca6fe, "netdev_rx_handler_register" },
	{ 0x4c4420c2, "register_netdevice" },
	{ 0xea4f77e6, "netdev_upper_dev_link" },
	{ 0x1d0856f2, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x90dd7aff, "dev_uc_sync" },
	{ 0xf1abd051, "dev_mc_sync" },
	{ 0x3851eecd, "passthru_features_check" },
	{ 0xbe4fb66e, "eth_validate_addr" },
	{ 0xf612f659, "ndo_dflt_fdb_dump" },
	{ 0xbb3da89f, "ethtool_op_get_link" },
	{ 0xf63f52dc, "eth_header_parse" },
	{ 0x6cb9bcf7, "eth_header_cache" },
	{ 0xabf25eea, "eth_header_cache_update" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2079f75, "ether_setup" },
	{ 0x1726fbf4, "__ethtool_get_link_ksettings" },
	{ 0xa5785b4c, "init_net" },
	{ 0x60d3b15a, "generic_hwtstamp_set_lower" },
	{ 0xc12fd4dd, "generic_hwtstamp_get_lower" },
	{ 0xe78900b8, "dev_mc_del" },
	{ 0xd686f8fd, "dev_uc_del" },
	{ 0xaf62666, "dev_mc_add_excl" },
	{ 0x14368f98, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xb971b6ed, "__netpoll_free" },
	{ 0xd79fbbb1, "vlan_vid_del" },
	{ 0x1a7887fd, "vlan_vid_add" },
	{ 0xfd6b7975, "dev_set_allmulti" },
	{ 0xa6e1ffe7, "dev_set_promiscuity" },
	{ 0x435424e4, "dev_uc_unsync" },
	{ 0x45d39e03, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x63362d53, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x78162201, "kfree_skb_reason" },
	{ 0xdc1f7dad, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc9d13436, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x922592ea, "rtnl_link_unregister" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0x6a75413b, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "655CB35379F9C4F79C8DD4D");
