#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa5ac4de5, "usb_kill_urb" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x16e77a90, "orinoco_if_del" },
	{ 0x3111a935, "wiphy_unregister" },
	{ 0x2c4ba566, "free_orinocodev" },
	{ 0x80061e83, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x23ba5d22, "consume_skb" },
	{ 0x21b943cd, "orinoco_process_xmit_skb" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x340aaee5, "usb_control_msg" },
	{ 0xe27c5738, "alloc_orinocodev" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe8647e70, "request_firmware" },
	{ 0x5805674c, "orinoco_init" },
	{ 0xff602361, "orinoco_if_add" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x8ff3482f, "orinoco_open" },
	{ 0x1cee7ce1, "orinoco_stop" },
	{ 0x6ceb9c6b, "orinoco_set_multicast_list" },
	{ 0xd8d4eb72, "eth_mac_addr" },
	{ 0xbe4fb66e, "eth_validate_addr" },
	{ 0x4e88b0fa, "orinoco_change_mtu" },
	{ 0x5b6d3666, "orinoco_tx_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xbddca1e4, "usb_register_driver" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x56470118, "__warn_printk" },
	{ 0x69acdf38, "memcpy" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd9c3ec12, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0x65f75c71, "usb_alloc_urb" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x37a0cba, "kfree" },
	{ 0x5929dffd, "usb_free_urb" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x222d5ae, "usb_submit_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xb40c9087, "netif_tx_wake_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x3e2d62fa, "__dynamic_netdev_dbg" },
	{ 0x857617f4, "usb_unlink_urb" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x46d3aafe, "__orinoco_ev_info" },
	{ 0xcc87ae40, "__orinoco_ev_rx" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "usbcore,orinoco,cfg80211");

MODULE_ALIAS("usb:v049Fp001Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0082d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0076d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v047Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D98p0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D9Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E7Cp0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5002d0000dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5B11d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p7011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BF8p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1630pFF81d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep047Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "8B0CAA56D0E75A0204F7E13");
