#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0x1e78420f, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0xbe7399d4, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0xc7f68c4e, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0x184a6b25, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0x4e22fb37, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0x471b11dc, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0x4d3358c3, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0x25d86691, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0xc8a84862, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0x8310f2cb, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0xd9debe4c, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0x8c3be890, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0x42864982, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0xe8c7b40f, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0x2b8b8fe2, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0xc49a6eff, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0xba055dd6, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0xeec3e80e, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0x98dcf98b, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x4d0c7ee0, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0x89fe0c41, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0x604d1f86, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0x38332eac, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0x8f56b24c, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0x7398735e, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0x65ea5ed8, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0xd63807ee, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0x29cd69da, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0x4b74ae74, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0xf8b4643b, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0xf6d169b5, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0x383e0d1e, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0x15642373, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0x2ebec17f, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0x71bb5827, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0x4f6c98f3, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0xa98a7db1, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0xc2e215ad, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0x4d858065, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0x10be1aaa, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0x9bec754e, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0xc570b993, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0x2da253a4, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0x456a9944, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0x0a726b6a, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0xb2271c8f, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0xe86f192e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfd49b880, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x23ba5d22, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfaa33465, "dma_unmap_page_attrs" },
	{ 0xe8647e70, "request_firmware" },
	{ 0x6ec0cd98, "led_classdev_suspend" },
	{ 0x2d0684a9, "hrtimer_init" },
	{ 0x557c54c3, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xeb4cf82f, "pcpu_hot" },
	{ 0x461c7d22, "led_classdev_unregister" },
	{ 0xf5e9a432, "ieee80211_register_hw" },
	{ 0x8bb7f293, "__ieee80211_create_tpt_led_trigger" },
	{ 0xf0b08acf, "ieee80211_get_hdrlen_from_skb" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x32a9c283, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x80061e83, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7db437, "dev_driver_string" },
	{ 0x5d80da42, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x559d750b, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc8b22f8b, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xe9bf5c58, "ieee80211_queue_delayed_work" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0x2e4e42f0, "ieee80211_ctstoself_get" },
	{ 0x43d1bbb1, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x48903983, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8f3b662d, "ieee80211_free_txskb" },
	{ 0x2b21b8e4, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x7981f428, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x47d44b25, "ieee80211_tx_status" },
	{ 0xaf1dfc9d, "ieee80211_stop_queue" },
	{ 0xa042ec7a, "__netdev_alloc_skb" },
	{ 0xef8aadf, "ieee80211_stop_queues" },
	{ 0x88e2f24c, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd272074f, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x78d62077, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8b09d585, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe49b305c, "led_classdev_resume" },
	{ 0x92938ea3, "ieee80211_unregister_hw" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc29b44ae, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xecf21dc, "ieee80211_rts_get" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x134d67e4, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x92eecede, "dev_kfree_skb_any_reason" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0xfac7e03a, "ieee80211_rx_napi" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbc7e718f, "ieee80211_iterate_interfaces" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "BB0C7B99057FB801B3DE19C");
