#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_get_txpwr_cr, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ppdu_status, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_write_xtal_si, "", "");
KSYMTAB_FUNC(rtw89_mac_read_xtal_si, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_offset, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit_ru, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x66aaea00, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0x25faa69a, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x16b30ebf, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0xf88823c5, "");
SYMBOL_CRC(rtw89_core_rx, 0x0046e112, "");
SYMBOL_CRC(rtw89_core_napi_start, 0x93723993, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x3f561799, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x7aa0c3e6, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x47cfa87f, "");
SYMBOL_CRC(rtw89_core_init, 0x7c99fecb, "");
SYMBOL_CRC(rtw89_core_deinit, 0x8128482e, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0x63afcfd1, "");
SYMBOL_CRC(rtw89_core_register, 0xa94c9eb1, "");
SYMBOL_CRC(rtw89_core_unregister, 0x099fac39, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x4e88a1d2, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0x862badfd, "");
SYMBOL_CRC(rtw89_ops, 0x4b899b8c, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0xa34fa87a, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0xed847dc4, "");
SYMBOL_CRC(rtw89_mac_size, 0x9ac85705, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x2ece8922, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0x931384d2, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x7c89a07e, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x768511f8, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0xef08327e, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x4af52510, "");
SYMBOL_CRC(rtw89_mac_get_txpwr_cr, 0xd91be1d7, "");
SYMBOL_CRC(rtw89_mac_cfg_ppdu_status, 0xebfbe5c8, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0xbff2d8fb, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0xc25e2e60, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x37a813f4, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0xa5dfbf85, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x7261c4df, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0xecd21f95, "");
SYMBOL_CRC(rtw89_mac_write_xtal_si, 0xf48f083e, "");
SYMBOL_CRC(rtw89_mac_read_xtal_si, 0x879e77d4, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0xb412b016, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0x888f6dbd, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0xb13864ee, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x23f9d206, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0x53274463, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0xa586605e, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0x1bc76736, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0xded249b0, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x8249335e, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0x95541d14, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x837f0956, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x057bc814, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_byrate, 0xd4802ecb, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_offset, 0x0e823cac, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit, 0x280dfaf5, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit_ru, 0xce06d976, "");
SYMBOL_CRC(rtw89_rfk_parser, 0xaf91b427, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x1c7c52ae, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0xd1c42b77, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x1e373067, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x63f14d32, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x1781ad75, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0x27896adb, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x13584fa7, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x85675ce9, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0xa1da3445, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0xa762749e, "");
SYMBOL_CRC(rtw89_ser_notify, 0x45fba35e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe9bf5c58, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x81b18c60, "ieee80211_next_txq" },
	{ 0x78162201, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbfaa50aa, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x48903983, "skb_push" },
	{ 0x838d587a, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1dd112e8, "ieee80211_wake_queues" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7891e23f, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8f3b662d, "ieee80211_free_txskb" },
	{ 0x2f4449eb, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf6ec5daa, "ieee80211_alloc_hw_nm" },
	{ 0xd2ab63b7, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x7981f428, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa042ec7a, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xf1189186, "ieee80211_ready_on_channel" },
	{ 0xef8aadf, "ieee80211_stop_queues" },
	{ 0x6b7f8bac, "skb_unlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x73c32c67, "ieee80211_scan_completed" },
	{ 0x8b09d585, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeb5a45f8, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x92938ea3, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90b6b5f0, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc29b44ae, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x869ef567, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0xc2651905, "ieee80211_cqm_rssi_notify" },
	{ 0xba44b9ff, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0x134d67e4, "ieee80211_queue_work" },
	{ 0x93f91729, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x857b6e91, "napi_disable" },
	{ 0x92eecede, "dev_kfree_skb_any_reason" },
	{ 0xb6747dbe, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xfac7e03a, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x30701ef, "ieee80211_stop_tx_ba_session" },
	{ 0x84e942b7, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa57866cd, "ieee80211_connection_loss" },
	{ 0xeadbf6b7, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x604f051d, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe9d230bb, "__ieee80211_schedule_txq" },
	{ 0xc7e58410, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x1117296a, "cfg80211_bss_iter" },
	{ 0xfd49b880, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x23ba5d22, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x9aa2a8b, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd8813180, "ieee80211_free_hw" },
	{ 0x58948191, "ieee80211_probereq_get" },
	{ 0x91a3a78e, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe8647e70, "request_firmware" },
	{ 0x8ce3697d, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x7c9152a2, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xacf23398, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xfddf5f43, "ieee80211_nullfunc_get" },
	{ 0xeb4cf82f, "pcpu_hot" },
	{ 0x9909c905, "ieee80211_pspoll_get" },
	{ 0xf5e9a432, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x18b6802d, "ieee80211_restart_hw" },
	{ 0x9106b713, "__netif_napi_del" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe91f09ea, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe633491a, "ieee80211_find_sta" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x78e25536, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc8b22f8b, "_dev_info" },
	{ 0x289280db, "skb_queue_tail" },
	{ 0x6408a59f, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xe58c15d6, "wiphy_to_ieee80211_hw" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "6AB6CA5B1BBE82210236359");
