#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4e22eaa5, "kernel_getpeername" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4cf0318f, "iscsi_put_conn" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0xc839f94b, "iscsi_conn_get_param" },
	{ 0x84bde622, "kernel_getsockname" },
	{ 0x82b929fb, "iscsi_set_param" },
	{ 0xa6d4c5bd, "iscsi_tcp_set_max_r2t" },
	{ 0xdcf9d107, "sockfd_lookup" },
	{ 0x6dc80b8b, "fput" },
	{ 0x8ecf1e7e, "iscsi_conn_bind" },
	{ 0x4cead38d, "sk_set_memalloc" },
	{ 0x748d9de, "sock_no_linger" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x39e1995d, "iscsi_tcp_hdr_recv_prep" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xe347173f, "iscsi_conn_queue_xmit" },
	{ 0xb13364fe, "iscsi_tcp_recv_skb" },
	{ 0x1a6b392e, "scsi_is_host_device" },
	{ 0x5baf3108, "iscsi_session_remove" },
	{ 0x655ed241, "iscsi_host_remove" },
	{ 0xd45ef476, "iscsi_tcp_r2tpool_free" },
	{ 0x5e9cefce, "iscsi_session_free" },
	{ 0x540bb491, "iscsi_host_free" },
	{ 0xf823d086, "iscsi_host_alloc" },
	{ 0x409be0a9, "iscsi_host_get_max_scsi_cmds" },
	{ 0xcf9c9a31, "iscsi_host_add" },
	{ 0xddc8a08f, "iscsi_session_setup" },
	{ 0xa5bf974a, "iscsi_tcp_r2tpool_alloc" },
	{ 0x115a69a, "iscsi_session_teardown" },
	{ 0x89707449, "blk_queue_dma_alignment" },
	{ 0xee8ab7b9, "blk_queue_flag_set" },
	{ 0x6a73cf0d, "iscsi_unregister_transport" },
	{ 0xf12be724, "iscsi_host_get_param" },
	{ 0x7a115426, "kernel_sock_shutdown" },
	{ 0xda54b46f, "iscsi_suspend_rx" },
	{ 0x4fd294ec, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x7a0fa3e3, "crypto_destroy_tfm" },
	{ 0x936f1f0a, "iscsi_tcp_conn_teardown" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa16485ae, "iscsi_suspend_tx" },
	{ 0x118cef77, "iscsi_conn_stop" },
	{ 0x85f375db, "__tracepoint_iscsi_dbg_sw_tcp" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xdf515c49, "__SCT__tp_func_iscsi_dbg_sw_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x71ae7995, "__tracepoint_sk_data_ready" },
	{ 0x6197433a, "tcp_read_sock" },
	{ 0x4d503d3e, "iscsi_conn_queue_recv" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x632d095f, "lock_sock_nested" },
	{ 0x2d1b72df, "release_sock" },
	{ 0xfa4df059, "iscsi_tcp_conn_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd0711f3, "crypto_alloc_ahash" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5b869cd4, "param_ops_int" },
	{ 0xeb5a45f8, "param_ops_bool" },
	{ 0x9f28a3d8, "param_ops_uint" },
	{ 0x339f8128, "iscsi_conn_start" },
	{ 0xd4279455, "iscsi_session_get_param" },
	{ 0x48c59dff, "iscsi_host_set_param" },
	{ 0xb6f7d4, "iscsi_conn_send_pdu" },
	{ 0xe9531c5d, "iscsi_tcp_task_init" },
	{ 0x7a35bf7, "iscsi_tcp_task_xmit" },
	{ 0x8799e899, "iscsi_tcp_cleanup_task" },
	{ 0xaaed1ef2, "iscsi_session_recovery_timedout" },
	{ 0x340597e6, "iscsi_queuecommand" },
	{ 0x77127a43, "iscsi_eh_abort" },
	{ 0x5e32b67f, "iscsi_eh_device_reset" },
	{ 0x86cc0d2e, "iscsi_eh_recover_target" },
	{ 0xfa7c71e8, "scsi_change_queue_depth" },
	{ 0xcf62e0a3, "iscsi_eh_cmd_timed_out" },
	{ 0x140fc2d8, "__SCK__tp_func_sk_data_ready" },
	{ 0xccd06392, "__SCK__tp_func_iscsi_dbg_sw_tcp" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcdd7346e, "iscsi_register_transport" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe66b7ad7, "iscsi_dbg_trace" },
	{ 0x88a5184e, "_dev_printk" },
	{ 0x6a9b1e1b, "iscsi_segment_init_linear" },
	{ 0xa007d08c, "iscsi_segment_seek_sg" },
	{ 0xd671b945, "iscsi_tcp_dgst_header" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd205c5ef, "iov_iter_bvec" },
	{ 0xc2e24d51, "sock_sendmsg" },
	{ 0x8e72e46a, "iscsi_tcp_segment_done" },
	{ 0xa13ff081, "iscsi_tcp_segment_unmap" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeb4cf82f, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x16529652, "iscsi_conn_failure" },
	{ 0x1ed30911, "iscsi_tcp_conn_get_stats" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3198b265, "iscsi_get_conn" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi,libiscsi_tcp,scsi_mod");


MODULE_INFO(srcversion, "E24F22AB5ADE3A8F0D32F36");
