#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(spmi_device_add, "_gpl", "");
KSYMTAB_FUNC(spmi_device_remove, "_gpl", "");
KSYMTAB_FUNC(spmi_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_readl, "_gpl", "");
KSYMTAB_FUNC(spmi_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_register_zero_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_writel, "_gpl", "");
KSYMTAB_FUNC(spmi_command_reset, "_gpl", "");
KSYMTAB_FUNC(spmi_command_sleep, "_gpl", "");
KSYMTAB_FUNC(spmi_command_wakeup, "_gpl", "");
KSYMTAB_FUNC(spmi_command_shutdown, "_gpl", "");
KSYMTAB_FUNC(spmi_device_from_of, "_gpl", "");
KSYMTAB_FUNC(spmi_device_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_add, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__spmi_driver_register, "_gpl", "");

SYMBOL_CRC(spmi_device_add, 0xc60fd605, "_gpl");
SYMBOL_CRC(spmi_device_remove, 0x823fdfba, "_gpl");
SYMBOL_CRC(spmi_register_read, 0xe8544ee8, "_gpl");
SYMBOL_CRC(spmi_ext_register_read, 0xcad3da4b, "_gpl");
SYMBOL_CRC(spmi_ext_register_readl, 0x05c9b7ac, "_gpl");
SYMBOL_CRC(spmi_register_write, 0x43d86a85, "_gpl");
SYMBOL_CRC(spmi_register_zero_write, 0xda2ec40c, "_gpl");
SYMBOL_CRC(spmi_ext_register_write, 0xc0b06cf8, "_gpl");
SYMBOL_CRC(spmi_ext_register_writel, 0x0baf513f, "_gpl");
SYMBOL_CRC(spmi_command_reset, 0xfae85394, "_gpl");
SYMBOL_CRC(spmi_command_sleep, 0x01f45669, "_gpl");
SYMBOL_CRC(spmi_command_wakeup, 0x764d3295, "_gpl");
SYMBOL_CRC(spmi_command_shutdown, 0x570a808e, "_gpl");
SYMBOL_CRC(spmi_device_from_of, 0xa8ddf766, "_gpl");
SYMBOL_CRC(spmi_device_alloc, 0xe643ba59, "_gpl");
SYMBOL_CRC(spmi_controller_alloc, 0xd97baea9, "_gpl");
SYMBOL_CRC(spmi_controller_add, 0x4ea4d966, "_gpl");
SYMBOL_CRC(spmi_controller_remove, 0x91220e31, "_gpl");
SYMBOL_CRC(__spmi_driver_register, 0xac72d481, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc233876c, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x46449e78, "trace_event_buffer_reserve" },
	{ 0xea6c471, "trace_event_buffer_commit" },
	{ 0xae3b9347, "__trace_trigger_soft_disabled" },
	{ 0xf5abc411, "trace_raw_output_prep" },
	{ 0x4001a7dc, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd4490568, "bpf_trace_run5" },
	{ 0x6f3120c9, "bpf_trace_run4" },
	{ 0xf2163726, "bpf_trace_run3" },
	{ 0x36f9029e, "bpf_trace_run6" },
	{ 0xe939fbbd, "dev_set_name" },
	{ 0x16efb16c, "device_add" },
	{ 0x80061e83, "__dynamic_dev_dbg" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0xd9496ce7, "device_unregister" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x1e6d3325, "__pm_runtime_set_status" },
	{ 0xd495b002, "pm_runtime_enable" },
	{ 0xc1009303, "__pm_runtime_disable" },
	{ 0x5a921311, "strncmp" },
	{ 0xea643def, "device_match_of_node" },
	{ 0x182a61a0, "bus_find_device" },
	{ 0xeb61b82a, "driver_register" },
	{ 0xef9058d2, "bus_unregister" },
	{ 0xb6685166, "bus_register" },
	{ 0x14bb9518, "device_for_each_child" },
	{ 0xce7572cf, "device_del" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe4583851, "device_initialize" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb9a30ead, "put_device" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0xeb4cf82f, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1d3b8f37, "__pm_runtime_resume" },
	{ 0xb7285b32, "trace_event_reg" },
	{ 0x434ad81c, "trace_event_raw_init" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "287B1CB5A19569B0EC9AE97");
