#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x754d539c, "strlen" },
	{ 0x1bbdf80b, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0x2f4e52a1, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xba3f7dd5, "sdio_readb" },
	{ 0x5769e5d, "sdio_writeb" },
	{ 0xe4b0466c, "alloc_etherdev_mqs" },
	{ 0x45242650, "sdio_release_host" },
	{ 0x136b3895, "sdio_disable_func" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe0d5a6c, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0xfd49b880, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0xeeb9435a, "sdio_claim_host" },
	{ 0x8310e5d3, "sdio_memcpy_fromio" },
	{ 0x23ba5d22, "consume_skb" },
	{ 0x1d85083f, "sdio_register_driver" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x530860b4, "unregister_netdev" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe8647e70, "request_firmware" },
	{ 0x9ed2ef0b, "dev_alloc_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb4cf82f, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbf9717de, "sdio_memcpy_toio" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x80061e83, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4ce8f3c5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb3810024, "dev_addr_mod" },
	{ 0x7a0fa3e3, "crypto_destroy_tfm" },
	{ 0x8697ad5f, "eth_type_trans" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc93a094c, "sdio_release_irq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xc8b22f8b, "_dev_info" },
	{ 0x3c1344ff, "sdio_unregister_driver" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0x6c140951, "crypto_shash_setkey" },
	{ 0x24d273d1, "add_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x58914b76, "wireless_send_event" },
	{ 0xa7a23a12, "register_netdev" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x5956a916, "free_netdev" },
	{ 0x3a0a3f29, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb40c9087, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x72e6b4bc, "netif_rx" },
	{ 0xa042ec7a, "__netdev_alloc_skb" },
	{ 0x3e2d62fa, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x196f92f3, "crypto_shash_finup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3b9cd10f, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xce2edf27, "netif_carrier_on" },
	{ 0xf2aa053e, "sdio_claim_irq" },
	{ 0x6becabe6, "sdio_enable_func" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");

MODULE_ALIAS("sdio:c*v005Bd7910*");
MODULE_ALIAS("sdio:c*v0023d7910*");

MODULE_INFO(srcversion, "85997EB899254564B3D7600");
