#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0xbf5807bc, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0xb37d324e, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0x8499bbd7, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0x94f1c715, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0x875fa90d, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0x181bd312, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0x80d5ff56, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0xa8a372f3, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0x5c98aeb1, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0x67ccb5fd, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0x36634e01, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0xea5af87f, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x6d8ee84f, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0x2fb69690, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0xcd4c0b7b, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0x30a70607, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x9cc2ec64, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0xd1c7298e, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x53ea792a, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x557d10c9, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0x4ef8b3e0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcdacdc09, "snd_hda_enum_helper_info" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0x5875ea18, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0x3a01584d, "snd_hdac_codec_read" },
	{ 0xa053cd19, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0xfd4fbfc9, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0xae959ba2, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc9b66c50, "snd_hdac_regmap_sync" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x45a6b3ec, "snd_hda_apply_verbs" },
	{ 0x5f6756e5, "snd_hda_codec_amp_update" },
	{ 0x761ec6af, "snd_hda_add_new_ctls" },
	{ 0xdbecc53f, "snd_hda_get_connections" },
	{ 0x21597384, "snd_hda_codec_amp_init_stereo" },
	{ 0x3e67ec05, "snd_hda_set_vmaster_tlv" },
	{ 0xdd6dd824, "hda_get_autocfg_input_label" },
	{ 0x8f07bca, "query_amp_caps" },
	{ 0xf069d8e, "devm_kmalloc" },
	{ 0xf3ce276d, "snd_hda_mixer_amp_volume_info" },
	{ 0xaa830b3e, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdc2ca633, "snd_hda_codec_setup_stream" },
	{ 0x85a6934f, "snd_hda_mixer_amp_switch_info" },
	{ 0x59c82813, "hda_codec_driver_unregister" },
	{ 0x8629aabd, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8562a26e, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0xbc44c673, "snd_hda_jack_tbl_get_mst" },
	{ 0xd3d95d73, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0x79293feb, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0x461c7d22, "led_classdev_unregister" },
	{ 0x4d9b38bb, "snd_hda_codec_pcm_new" },
	{ 0x60771241, "__snd_hda_codec_cleanup_stream" },
	{ 0x2572d50e, "snd_ctl_sync_vmaster" },
	{ 0x80061e83, "__dynamic_dev_dbg" },
	{ 0x60e504ca, "snd_hda_multi_out_dig_cleanup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc8c1715, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9b1518f4, "snd_hda_add_imux_item" },
	{ 0xabafd08e, "snd_hda_correct_pin_ctl" },
	{ 0x5b31ee68, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xe1a9920a, "snd_hda_create_dig_out_ctls" },
	{ 0xd0267468, "snd_hda_multi_out_dig_close" },
	{ 0xd0d32ed4, "snd_hda_get_conn_index" },
	{ 0x81144a4f, "snd_hda_multi_out_analog_open" },
	{ 0x1ccc8f91, "snd_hda_get_bool_hint" },
	{ 0xc532d09a, "snd_hda_create_spdif_share_sw" },
	{ 0x47c64766, "snd_hda_find_mixer_ctl" },
	{ 0xec638ab1, "snd_hda_get_int_hint" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0xcdd176af, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0x4793f742, "snd_hda_parse_pin_defcfg" },
	{ 0xeaa0a017, "snd_hda_codec_amp_init" },
	{ 0xf8e8efa7, "snd_hda_create_spdif_in_ctls" },
	{ 0xe3f11575, "is_jack_detectable" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x60361273, "snd_hda_multi_out_analog_cleanup" },
	{ 0x5809f7c6, "snd_hda_multi_out_analog_prepare" },
	{ 0xb91f686, "snd_ctl_boolean_stereo_info" },
	{ 0xa54137bd, "snd_hda_get_conn_list" },
	{ 0x3fddbcad, "snd_hda_mixer_amp_switch_get" },
	{ 0x83f0493a, "snd_hda_codec_set_pin_target" },
	{ 0x2b21b8e4, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7d5b7473, "snd_hda_attach_beep_device" },
	{ 0x1603b11d, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0x992d6109, "snd_hdac_regmap_write_raw" },
	{ 0x49b5088f, "snd_hda_mixer_amp_volume_get" },
	{ 0x4ab51744, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x7981f428, "_dev_warn" },
	{ 0x5980bbe2, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce593c22, "ledtrig_audio_get" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd63b793b, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x2ed190c5, "snd_hda_jack_unsol_event" },
	{ 0x66bc7a2, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4504eaf1, "snd_hda_mixer_amp_tlv" },
	{ 0xdfeaa0e6, "snd_hda_jack_add_kctls" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0xa20cac61, "__snd_hda_add_vmaster" },
	{ 0xfd437d78, "snd_hda_codec_amp_stereo" },
	{ 0xf7bea1c0, "snd_hda_sync_vmaster_hook" },
	{ 0x29484605, "snd_hda_apply_fixup" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd,ledtrig-audio");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "894683508F406A29B387B94");
