#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7a131072, "snd_ctl_add" },
	{ 0xf9ee220d, "snd_pcm_new" },
	{ 0xbf22f2e9, "snd_pcm_add_chmap_ctls" },
	{ 0xe21e0742, "snd_card_register" },
	{ 0x601fe30e, "snd_card_free" },
	{ 0x96848186, "scnprintf" },
	{ 0x675ff4df, "__pci_register_driver" },
	{ 0xbdf75837, "snd_pcm_hw_constraint_minmax" },
	{ 0xb65c4865, "param_ops_long" },
	{ 0x12b237d7, "param_array_ops" },
	{ 0x59486785, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x21cb1c6d, "snd_card_rw_proc_new" },
	{ 0xe2964344, "__wake_up" },
	{ 0xed2c9802, "snd_opl3_create" },
	{ 0x80061e83, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x61012b02, "snd_ctl_find_id" },
	{ 0x7ee2b1ea, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7a89c1fa, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x563f2363, "snd_ctl_boolean_mono_info" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd6825159, "snd_ctl_notify" },
	{ 0x4ec49ed9, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9a00d3ed, "snd_pcm_hw_constraint_list" },
	{ 0x7d656a32, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x4b0d50bf, "pci_set_master" },
	{ 0x6f414486, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x9e913c1, "snd_pcm_alt_chmaps" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeb5a45f8, "param_ops_bool" },
	{ 0xc1532e7d, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90b6b5f0, "seq_printf" },
	{ 0xba168f2f, "snd_mpu401_uart_new" },
	{ 0x6af2c522, "snd_opl3_hwdep_new" },
	{ 0xe5daf0d3, "snd_pcm_hw_constraint_msbits" },
	{ 0x6f93c9a5, "snd_pcm_period_elapsed" },
	{ 0x2e3b1d77, "kmalloc_trace" },
	{ 0x5b869cd4, "param_ops_int" },
	{ 0x9b985cfe, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe8fa5359, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x34bc2772, "devm_request_threaded_irq" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,snd-opl3-lib,snd-mpu401-uart");

MODULE_ALIAS("pci:v000013F6d00000100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013F6d00000101sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013F6d00000111sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013F6d00000112sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B9d00000111sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "05BC7196C1CDA7F0482BDFC");
