#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_skl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_skl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_apl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_apl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(apl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_cnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_cnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(cnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(jsl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_tgl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_tgl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tgl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tglh_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(ehl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(adls_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_icl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_icl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(icl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_mtl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_mtl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(mtl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_lnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_lnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(lnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_pci_intel_probe, 0x617c5d07, "");
SYMBOL_CRC(hda_ops_free, 0x27f66609, "");
SYMBOL_CRC(sof_skl_ops, 0xd341a89d, "");
SYMBOL_CRC(sof_skl_ops_init, 0xf4a7c25d, "");
SYMBOL_CRC(skl_chip_info, 0xb7e8cd19, "");
SYMBOL_CRC(sof_apl_ops, 0xece978a4, "");
SYMBOL_CRC(sof_apl_ops_init, 0x0bc1f24d, "");
SYMBOL_CRC(apl_chip_info, 0xe5df3a91, "");
SYMBOL_CRC(sof_cnl_ops, 0x118d5762, "");
SYMBOL_CRC(sof_cnl_ops_init, 0x8d8de460, "");
SYMBOL_CRC(cnl_chip_info, 0xf929e85a, "");
SYMBOL_CRC(jsl_chip_info, 0xa454d1be, "");
SYMBOL_CRC(sof_tgl_ops, 0x7acbe5ab, "");
SYMBOL_CRC(sof_tgl_ops_init, 0xdbe6d667, "");
SYMBOL_CRC(tgl_chip_info, 0xcebac812, "");
SYMBOL_CRC(tglh_chip_info, 0x30c7f65e, "");
SYMBOL_CRC(ehl_chip_info, 0x1277c03d, "");
SYMBOL_CRC(adls_chip_info, 0x46c9bbb3, "");
SYMBOL_CRC(sof_icl_ops, 0x693ae542, "");
SYMBOL_CRC(sof_icl_ops_init, 0x4217ff29, "");
SYMBOL_CRC(icl_chip_info, 0xdf4beeb3, "");
SYMBOL_CRC(sof_mtl_ops, 0x96bf6453, "");
SYMBOL_CRC(sof_mtl_ops_init, 0xd5a18db2, "");
SYMBOL_CRC(mtl_chip_info, 0xb1cfbd18, "");
SYMBOL_CRC(sof_lnl_ops, 0x99bba74d, "");
SYMBOL_CRC(sof_lnl_ops_init, 0x2c9045bf, "");
SYMBOL_CRC(lnl_chip_info, 0xa2989c92, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb6f78ff9, "snd_sgbuf_get_addr" },
	{ 0x80061e83, "__dynamic_dev_dbg" },
	{ 0x2e4f210c, "snd_sgbuf_get_chunk_size" },
	{ 0xa8a7065c, "pci_ioremap_bar" },
	{ 0x8bfef829, "hdac_bus_eml_check_interrupt" },
	{ 0x45f7fbc8, "sof_pci_probe" },
	{ 0x81ebf9e2, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1678343b, "hda_codec_i915_exit" },
	{ 0xea6c471, "trace_event_buffer_commit" },
	{ 0xe8f087b6, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6e4682d, "hda_codec_resume_cmd_io" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xfb79c84e, "snd_hdac_ext_bus_exit" },
	{ 0x709c891f, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xec33aaa8, "snd_hdac_ext_stream_clear" },
	{ 0x6514add3, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc8b22f8b, "_dev_info" },
	{ 0xa15cc4d0, "sdw_intel_startup" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc29ec841, "snd_hdac_ext_bus_link_power" },
	{ 0x2f0dacb9, "snd_sof_dsp_dbg_dump" },
	{ 0x6e3a569a, "sdw_intel_process_wakeen_event" },
	{ 0xf98e7788, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x4f66a528, "sof_mailbox_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc233876c, "perf_trace_run_bpf_submit" },
	{ 0xe9b21953, "hda_bus_ml_put_all" },
	{ 0x9df23ba1, "devm_kfree" },
	{ 0x3d0b166d, "_dev_err" },
	{ 0xe8a819a, "snd_sof_dsp_update_bits_forced" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8d9915e6, "platform_device_unregister" },
	{ 0x1019ca72, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x591651b2, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4664beb5, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0xb7285b32, "trace_event_reg" },
	{ 0x81807718, "hda_codec_device_remove" },
	{ 0x4beedcb7, "snd_soc_dpcm_get_substream" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x4f9f94c, "snd_sof_dsp_update_bits_unlocked" },
	{ 0xeae6feed, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbdd07e6a, "hda_bus_ml_reset_losidv" },
	{ 0xf22dc286, "snd_hdac_ext_stream_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xaf1fd7dc, "snd_sof_ipc_get_reply" },
	{ 0x15fd2752, "snd_sof_dsp_update_bits" },
	{ 0xf329d7f1, "hdac_bus_eml_enable_interrupt" },
	{ 0xedb7f6d5, "hdac_bus_eml_enable_offload" },
	{ 0xf7c899, "pci_restore_state" },
	{ 0x68ee0062, "snd_sof_pci_update_bits" },
	{ 0x533820db, "hdac_bus_eml_ssp_get_hlink" },
	{ 0x8f32614, "hdac_bus_eml_dmic_get_hlink" },
	{ 0x7981f428, "_dev_warn" },
	{ 0xd78f8ea9, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x191b99d4, "sdw_intel_lnl_hw_ops" },
	{ 0x4b0d50bf, "pci_set_master" },
	{ 0x6f414486, "param_ops_charp" },
	{ 0x92ade344, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd0be4843, "dma_set_coherent_mask" },
	{ 0x2b50df45, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x9882f466, "snd_pcm_hw_constraint_integer" },
	{ 0xf2163726, "bpf_trace_run3" },
	{ 0x5775758a, "hda_codec_rirb_status_clear" },
	{ 0xcaf80cba, "hda_codec_suspend_cmd_io" },
	{ 0xb4201fc1, "snd_sof_ipc_reply" },
	{ 0x62408701, "hda_codec_init_cmd_io" },
	{ 0xab26371d, "hda_codec_stop_cmd_io" },
	{ 0x264e7071, "hda_codec_detect_mask" },
	{ 0x918cfb36, "platform_device_register_full" },
	{ 0x46449e78, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeb5a45f8, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc9990db8, "sof_machine_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf77183f6, "sof_ipc_tx_message" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe48b4467, "sdw_intel_probe" },
	{ 0xa1cda07a, "snd_sof_load_firmware_raw" },
	{ 0xa8fb2539, "snd_sof_dsp_panic" },
	{ 0x746e9b68, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0xc8039028, "snd_sof_suspend" },
	{ 0x9750a094, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0xaa44a815, "dma_set_mask" },
	{ 0x2631b703, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x5b869cd4, "param_ops_int" },
	{ 0xa202c082, "intel_nhlt_init" },
	{ 0x88a5184e, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x4da7d4b1, "sof_client_dev_unregister" },
	{ 0x8ae36d12, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0xc77ada69, "hda_codec_i915_init" },
	{ 0xbdc99304, "pci_free_irq_vectors" },
	{ 0xec4bf4ae, "hda_codec_check_rirb_status" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa1c29ebb, "snd_hdac_ext_stream_reset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0x96d47070, "hdac_bus_eml_get_count" },
	{ 0x3a85fb3a, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1b282619, "sof_io_write" },
	{ 0xc4117ef6, "sof_machine_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb882eb12, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x5f0a4d08, "hdac_bus_eml_get_mutex" },
	{ 0xa70aa047, "snd_soc_acpi_intel_hda_machines" },
	{ 0xe8a2132e, "hda_codec_jack_check" },
	{ 0x7d6ca530, "hda_bus_ml_suspend" },
	{ 0xdd8fca1f, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xe914e41e, "strcpy" },
	{ 0x802955f7, "pci_save_state" },
	{ 0x491acad2, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6b776aed, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x945e3a17, "hda_codec_i915_display_power" },
	{ 0x604f051d, "is_acpi_device_node" },
	{ 0x6f3120c9, "bpf_trace_run4" },
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x5cd18ce2, "snd_dma_alloc_dir_pages" },
	{ 0xf069d8e, "devm_kmalloc" },
	{ 0x4a9c065, "snd_hdac_bus_send_cmd" },
	{ 0x1ed13638, "hda_bus_ml_resume" },
	{ 0x521297c0, "pci_alloc_irq_vectors" },
	{ 0x519a8f38, "intel_nhlt_get_dmic_geo" },
	{ 0x6e51b400, "snd_hdac_bus_get_response" },
	{ 0x6ef11fe5, "snd_hdac_ext_stream_start" },
	{ 0xf5abc411, "trace_raw_output_prep" },
	{ 0xe004bea9, "hdac_bus_eml_sdw_get_hlink" },
	{ 0x950755e5, "hda_codec_set_codec_wakeup" },
	{ 0xae3b9347, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd59f9cd8, "hda_bus_ml_init" },
	{ 0x324457ad, "hda_codec_probe_bus" },
	{ 0x1bb5634b, "snd_hdac_ext_stream_decouple_locked" },
	{ 0x4001a7dc, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xedc03953, "iounmap" },
	{ 0xc865e37c, "sdw_intel_exit" },
	{ 0x614938c1, "hda_codec_check_for_state_change" },
	{ 0xc082e160, "hda_codec_jack_wake_enable" },
	{ 0x7316580a, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0x434ad81c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x20facc75, "snd_hdac_ext_bus_init" },
	{ 0x6f31ffb9, "hda_bus_ml_free" },
	{ 0xeb4cf82f, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x8139bb5c, "sof_ipc4_set_pipeline_state" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa7dcfa58, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf923ed59, "snd_intel_dsp_driver_probe" },
	{ 0x8d82414, "pci_irq_vector" },
	{ 0x8322d384, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-sof-intel-hda-mlink,snd-sof-pci,snd-soc-hdac-hda,snd-sof-intel-hda,snd-hda-ext-core,snd-sof,soundwire-intel,snd-hda-core,snd-soc-acpi,snd-soc-core,snd-intel-dspcfg,snd-intel-sdw-acpi,snd-soc-acpi-intel-match,snd-sof-xtensa-dsp");


MODULE_INFO(srcversion, "DF47A7064F9B0690CF31C82");
